
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @Author lth
 * @Date 2021/4/25 16:44
 */
@Data
public class ShopBankCardDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键id")
    private Long shopBankCardId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "银行名称")
    @NotBlank(message = "银行名称不能为空")
    private String bankName;

    @Schema(description = "银行开户行")
    private String openingBank;

    @Schema(description = "账户名")
    @NotBlank(message = "账户名不能为空")
    private String recipientName;

    @Schema(description = "账号")
    @NotBlank(message = "账号不能为空")
    private String cardNo;

    @Schema(description = "支行名称")
    @NotBlank(message = "支行名称不能为空")
    private String branchName;

    @Schema(description = "是否默认 1:默认 0:非默认")
    private Integer isDefault;

    @Schema(description = "银行卡号")
    private String bankCardNo;

    @Schema(description = "银行卡/账户属性 0个人银行卡 1企业对公账户")
    private Integer bankCardPro;

    @Schema(description = "支付行号")
    private String unionBank;


}
