
package com.tmerclub.cloud.multishop.dto;

import com.tmerclub.cloud.api.product.dto.BrandShopDTO;
import com.tmerclub.cloud.api.product.dto.CategoryShopDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/7/9 15:23
 */
@Data
public class ShopCreateInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商家注册信息")
    private ShopUserRegisterDTO shopUserRegisterInfo;

    @Schema(description = "店铺基本信息")
    private ShopDetailDTO shopDetail;

    @Schema(description = "店铺工商信息")
    private ShopCompanyDTO shopCompany;

    @Schema(description = "签约分类列表")
    private List<CategoryShopDTO> categorySigningList;

    @Schema(description = "签约品牌列表")
    private List<BrandShopDTO> brandSigningList;

    @Schema(description = "店铺银行卡列表")
    private List<ShopBankCardDTO> shopBankCardList;

    @Schema(description = "通联店铺银行卡")
    private AllinpayShopBankCardDTO allinpayShopBankCardDTO;


}
