
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 工商信息审核记录
 *
 * @author chiley
 * @date 2022/9/1 15:59
 */
@Data
public class ShopCompanyAuditingVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 工商信息审核id
     */
    private Long companyAuditingId;
    /**
     * 申请人id
     */
    @Schema(description = "申请人id")
    private Long userId;

    /**
     * 店铺id
     */
    @Schema(description = "店铺id")
    private Long shopId;

    /**
     * 工商信息id
     */
    @Schema(description = "工商信息id")
    private Long shopCompanyId;

    /**
     * 审核人id
     */
    @Schema(description = "审核人id")
    private Long auditorId;

    /**
     * 审核状态
     */
    @Schema(description = "0 未审核 1已通过 -1未通过")
    private Integer status;

    /**
     * 备注
     */
    @Schema(description = "备注")
    private String remarks;

    /**
     * 店铺名称
     */
    @Schema(description = "店铺名称")
    private String shopName;

    /**
     * 店铺简介
     */
    @Schema(description = "店铺简介")
    private String intro;

    /**
     * 店铺工商信息
     */
    @Schema(description = "工商信息")
    private ShopCompanyVO shopCompanyVO;

}
