
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.common.product.vo.search.SpuSearchVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 店铺详情VO
 *
 * @author tmerclub
 * @date 2020-12-05 15:50:25
 */
@Data
public class ShopDetailAppVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺类型1自营店 2普通店")
    private Integer type;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "店铺简介")
    private String intro;

    @Schema(description = "接收短信号码")
    private String noticeMobile;


    @Schema(description = "店铺logo(可修改)")
    private String shopLogo;

    @Schema(description = "店铺状态(-1:未开通 0: 停业中 1:营业中 2:平台下线 3:平台下线待审核)")
    private Integer shopStatus;

    @Schema(description = "商品列表")
    private List<SpuSearchVO> spuList;

    @Schema(description = "店铺收藏数量")
    private Long collectionNum;

    @Schema(description = "移动端背景图")
    private String mobileBackgroundPic;

    @Schema(description = "pc背景图")
    private String pcBackgroundPic;


    @Schema(description = "是否优选好店 1.是 0.不是")
    private String isPreferred;


}
