
package com.tmerclub.cloud.platform.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 网站配置信息表VO
 *
 * @author Orange
 */
@Data
public class WebConfigVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 配置类型（PLATFROM:平台端   MULTISHOP:商家端   PC:PC端   H5:h5端   STATION:自提点端）
     * @see com.tmerclub.cloud.platform.constant.WebConfigType 配置类型枚举类
     *
     */
    @Schema(description = "配置类型")
    private String paramKey;

    @Schema(description = "登录logo")
    private String loginLogoImg;

    @Schema(description = "登录背景(后台+pc)")
    private String loginBgImg;

    @Schema(description = "版权声明-中文(后台+pc)")
    private String copyrightCn;

    @Schema(description = "版权声明-英文(后台+pc)")
    private String copyrightEn;

    @Schema(description = "网站标题文本-中文(后台+pc+h5)")
    private String titleContentCn;

    @Schema(description = "网站标题文本-英文(后台+pc+h5)")
    private String titleContentEn;

    @Schema(description = "标题图标(后台+pc)")
    private String titleImg;

    @Schema(description = "后台-菜单展开时的文本-中文")
    private String bsMenuTitleOpenCn;

    @Schema(description = "后台-菜单展开时的文本-英文")
    private String bsMenuTitleOpenEn;

    @Schema(description = "后台-菜单缩小时的文本-中文")
    private String bsMenuTitleCloseCn;

    @Schema(description = "后台-菜单缩小时的文本-英文")
    private String bsMenuTitleCloseEn;

    @Schema(description = "后台-顶部栏图标")
    private String bsTopBarIcon;

    @Schema(description = "PC-底部二维码")
    private String pcQrcodeImg;

    @Schema(description = "PC-公司全名-中文")
    private String pcCompanyNameCn;

    @Schema(description = "PC-公司全名-英文")
    private String pcCompanyNameEn;

    @Schema(description = "PC-公司名简写-中文")
    private String pcCompanyNameShortCn;

    @Schema(description = "PC-公司名简写-英文")
    private String pcCompanyNameShortEn;

    @Schema(description = "PC-公司图文logo（注册、登录、改密时显示）")
    private String pcLogoImgText;

    @Schema(description = "PC-导航栏欢迎语-中文")
    private String pcWelcomeCn;

    @Schema(description = "PC-导航栏欢迎语-英文")
    private String pcWelcomeEn;

    @Schema(description = "PC-底部公司地址等信息-中文")
    private String pcCompanyInfoCn;

    @Schema(description = "PC-底部公司地址等信息-英文")
    private String pcCompanyInfoEn;

    @Schema(description = "Station-自提点登录logo")
    private String stationLoginLogoImg;

    @Schema(description = "h5-欢迎语-中文" )
    private String h5WelcomeCn;

    @Schema(description = "h5-欢迎语-英文" )
    private String h5WelcomeEn;

}
