
package com.tmerclub.cloud.supplier.dto;

import com.tmerclub.cloud.api.product.dto.BrandShopDTO;
import com.tmerclub.cloud.api.product.dto.CategoryShopDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/7/9 15:23
 */
@Data
public class SupplierCreateInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商家注册信息")
    private SupplierUserRegisterDTO supplierUserRegisterInfo;

    @Schema(description = "供应商基本信息")
    private SupplierDetailDTO supplierDetail;

    @Schema(description = "供应商工商信息")
    private SupplierCompanyDTO supplierCompany;

    @Schema(description = "签约分类列表")
    private List<CategoryShopDTO> categorySigningList;

    @Schema(description = "签约品牌列表")
    private List<BrandShopDTO> brandSigningList;

    @Schema(description = "供应商银行卡列表")
    private List<SupplierBankCardDTO> supplierBankCardList;

    @Schema(description = "通联供应商银行卡")
    private AllinpaySupplierBankCardDTO allinpaySupplierBankCardDTO;

}
