
package com.tmerclub.cloud.supplier.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 供应商退货地址DTO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierRefundAddrDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商退货地址id")
    private Long supplierRefundAddrId;

    @Schema(description = "供应商ID")
    private Long supplierId;

    @Schema(description = "手机")
    private String mobile;

    @Schema(description = "默认地址 1:是 0:不是")
    private Integer isDefault;

    @Schema(description = "收货人")
    private String consignee;

    @Schema(description = "省ID")
    private Long provinceId;

    @Schema(description = "省")
    private String province;

    @Schema(description = "城市ID")
    private Long cityId;

    @Schema(description = "城市")
    private String city;

    @Schema(description = "区ID")
    private Long areaId;

    @Schema(description = "区")
    private String area;

    @Schema(description = "地址")
    private String addr;

    @Schema(description = "邮编")
    private String postCode;

    @Schema(description = "经度")
    private Double lng;

    @Schema(description = "纬度")
    private Double lat;

}
