
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 银行卡信息
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierBankCard extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 银行卡自增id
     */
    private Long supplierBankCardId;

    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 银行名称
     */
    private String bankName;

    /**
     * 银行开户行
     */
    private String openingBank;

    /**
     * 收款方户名
     */
    private String recipientName;

    /**
     * 收款方账户
     */
    private String cardNo;

    /**
     * 是否默认 1:默认 0:非默认
     */
    private Integer isDefault;

    /**
     * 支行名称
     */
    private String branchName;

    /**
     * 银行卡号
     */
    private String bankCardNo;

    /**
     * 银行卡/账户属性 0个人银行卡 1企业对公账户
     */
    private Integer bankCardPro;

    /**
     * 支付行号
     */
    private String unionBank;

    /**
     * 1.正常，-1.已删除
     */
    private Integer status;

}
