
package com.tmerclub.cloud.supplier.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 供应商钱包记录
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierWalletLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 供应商钱包id
     */
    private Long walletLogId;

    /**
     * 供应商ID
     */
    private Long supplierId;

    /**
     * 关联订单id
     */
    private Long orderId;

    /**
     * 关联订单项id
     */
    private Long orderItemId;

    /**
     * 退款单号
     */
    private Long refundId;

    /**
     * 收支类型 0支出 1收入
     */
    private Integer ioType;

    /**
     * 金额类型 0 未结算金额 1可提现金额  2冻结金额
     */
    private Integer amountType;

    /**
     * 改变金额
     */
    private Long changeAmount;
    /**
     * 运费
     */
    private Long freightAmount;

    /**
     * 原因 0用户支付 1用户确认收货 2 用户退款申请 3 拒绝用户退款申请 4 提现申请 5 提现申请被拒绝
     */
    private Integer reason;

    /**
     * 用户金额（支付实付金额，退款实际申请金额）
     */
    private Long userAmount;

    /**
     * 平台补贴金额
     */
    private Long platformAmount;

    /**
     * 分销占用金额
     */
    private Long distributionAmount;

    /**
     * 平台佣金
     */
    private Long platformCommission;

    /**
     * 供应商优惠金额
     */
    private Long supplierReduceAmount;

    /**
     * 商品总金额
     */
    private Long totalAmount;

}
