
package com.tmerclub.cloud.supplier.vo;

import com.tmerclub.cloud.api.supplier.vo.SupplierApiDetailVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 供应商审核信息VO
 *
 * @author lhd
 * @date 2022-03-14 17:04:32
 */
@Data
public class SupplierAuditingVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商审核id")
    private Long supplierAuditingId;

    @Schema(description = "申请人id")
    private Long userId;

    @Schema(description = "供应商ID")
    private Long supplierId;

    @Schema(description = "审核人id")
    private Long auditorId;

    @Schema(description = "0 未审核 1已通过 -1未通过")
    private Integer status;

    @Schema(description = "备注")
    private String remarks;

    @Schema(description = "供应商信息")
    private SupplierApiDetailVO supplierDetail;

}
