
package com.tmerclub.cloud.api.multishop.bo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 店铺详情VO
 *
 * @author tmerclub
 * @date 2020-11-23 16:24:29
 */
@Data
public class EsShopDetailBO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺类型1自营店 2普通店")
    private Integer type;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "店铺logo")
    private String shopLogo;

    @Schema(description = "店铺状态(-1:已删除 0: 停业中 1:营业中 2:平台下线 3:待审核 4:店铺申请中 5:申请失败)")
    private Integer shopStatus;

    @Schema(description = "接收短信号码")
    private String noticeMobile;

    @Schema(description = "联系电话")
    private String contactPhone;

    @Schema(description = "店铺商品总销量")
    private Integer saleNum;

    @Schema(description = "用户总收藏量")
    private Integer collectionNum;

    @Schema(description = "签约起始时间")
    private Date contractStartTime;

    @Schema(description = "签约终止时间")
    private Date contractEndTime;

}
