
package com.tmerclub.cloud.api.supplier.feign;

import com.tmerclub.cloud.api.supplier.vo.SupplierApiRefundAddrVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

import java.util.List;

/**
 * @author tmerclub
 * @date 2020/03/09
 */
public interface SupplierRefundAddrFeignClient {


    /**
     * 获取店铺退货地址
     * @param refundAddrId 店铺id
     * @return 店铺退货地址
     */
    ServerResponseEntity<SupplierApiRefundAddrVO> getSupplierRefundAddrByRefundAddrId(Long refundAddrId);

    /**
     * 获取供应商地址列表
     * @param supplierId
     * @return
     */
    ServerResponseEntity<List<SupplierApiRefundAddrVO>> getBySupplierId(Long supplierId);
}
