
package com.tmerclub.cloud.api.biz.feign;

import com.tmerclub.cloud.common.constant.SendTypeEnum;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author tmerclub
 * @date 2020/11/23
 */
public interface NotifyFeignClient {

    /**
     * 校验验证码
     * @param validAccount 校验的账号，手机号 or 邮箱
     * @param validCode 验证码
     * @param type 类型
     * @return 成功or失败
     */
    ServerResponseEntity<Boolean> /**/checkValidCode(String validAccount, String validCode, SendTypeEnum type);

    /**
     * 通过标记校验验证码
     * @param mobile 手机号
     * @param checkRegisterSmsFlag 验证码成功的标记
     * @return 成功or失败
     */
    ServerResponseEntity<Boolean> checkValidCodeByFlag(String mobile, String checkRegisterSmsFlag);

    /**
     * 获取未读消息数量
     * @param userId 用户id
     * @return 数量
     */
    ServerResponseEntity<Integer> getUnreadMsg(Long userId);

    /**
     * 根据用户标签id删除与该用户标签关联的数据
     * @param tagId
     * @return
     */
    ServerResponseEntity<Void> deleteTagByTagId(Long tagId);

}
