
package com.tmerclub.cloud.api.group.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 拼团活动表VO
 *
 * @author YXF
 * @date 2021-03-20 10:39:31
 */
@Data
public class GroupActivityVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "拼团活动id")
    private Long groupActivityId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "活动名称")
    private String activityName;

    @Schema(description = "活动开始时间（活动状态：未开始、经行中、已结束）")
    private Date startTime;

    @Schema(description = "活动结束时间（活动状态：未开始、经行中、已结束）")
    private Date endTime;

    @Schema(description = "成团人数")
    private Integer groupNumber;

    @Schema(description = "商品是否限购（1:限购、0:不限购）")
    private Integer hasMaxNum;

    @Schema(description = "限购数量")
    private Integer maxNum;

    @Schema(description = "是否模拟成团（1:模拟参团、0:不模拟）")
    private Integer hasRobot;

    @Schema(description = "活动是否预热")
    private Integer isPreheat;

    @Schema(description = "是否开启凑团模式（1:凑团、0:不凑团）")
    private Integer hasGroupTip;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "已成团订单数（统计）")
    private Long groupOrderCount;

    @Schema(description = "已成团人数（统计）")
    private Long groupNumberCount;

    @Schema(description = "拼团状态(-1:删除、0:未启用、1:启用、2:违规下架、3:等待审核 4:已失效 5:已结束)")
    private Integer status;

    @Schema(description = "商品介绍主图")
    private String mainImgUrl;

    @Schema(description = "spu名称")
    private String spuName;

    @Schema(description = "商品价格（sku最低价）")
    private Long price;

}
