
package com.tmerclub.cloud.api.discount.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 每个满减活动的活动信息
 * @author tmerclub
 */
@Data
public class DiscountSumItemVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 需要商品金额/数量
     */
    private Long needAmount;

    /**
     * 优惠项
     */
    private Long discountItemId;

    /**
     * 优惠（元/折）
     */
    private Long discount;

    /**
     * 该满减活动实际优惠金额
     * 如果活动优惠金额有上限，且优惠金额达到了上限，
     * 那么这个金额就是活动优惠金额的上限
     */
    private Long reduceAmount;

    /**
     * 参与满减满折优惠的商品数量
     */
    private Integer count;
    /**
     * 参与满减满折优惠的商品金额
     */
    private Long prodsPrice;


}
