
package com.tmerclub.cloud.api.distribution.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 分销收入记录信息VO
 *
 * @author cl
 * @date 2021-08-09 14:14:09
 */
@Data
public class DistributionUserIncomeApiVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "收入记录id")
    private Long incomeId;

    @Schema(description = "钱包id")
    private Long walletId;

    @Schema(description = "收入类型(1一代奖励、2二代奖励 3邀请奖励 等 )")
    private Integer incomeType;

    @Schema(description = "佣金状态(0:待支付、1:待结算、2:已结算、-1:订单失效)")
    private Integer state;

    @Schema(description = "佣金数额")
    private Long incomeAmount;

    @Schema(description = "关联订购流水号")
    private Long orderId;

    @Schema(description = "关联订单项order_item_id")
    private Long orderItemId;

    @Schema(description = "商户订单号")
    private String merchantOrderId;

    @Schema(description = "分销员id")
    private Long distributionUserId;

    @Schema(description = "操作人id")
    private Long modifier;

    @Schema(description = "订单状态")
    private Integer orderStatus;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "商品图片")
    private String mainImgUrl;

    @Schema(description = "用户id")
    private Long userId;

}
