
package com.tmerclub.cloud.api.delivery.dto;

import com.tmerclub.cloud.common.order.vo.ShopCartItemVO;
import com.tmerclub.cloud.common.order.vo.UserAddrVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author Citrus
 * @date 2021/11/26 10:47
 */
@Data
public class ChangeOrderAddrDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "购物项")
    private List<ShopCartItemVO> shopCartItems;

    @Schema(description = "原本订单的运费")
    private Long freightAmount;

    @Schema(description = "修改后的用户订单地址")
    private UserAddrVO userAddrVO;

    @Schema(description = "配送类型 1:快递 2:自提 3：无需快递 4:同城配送")
    private Integer dvyType;

    public ChangeOrderAddrDTO() {
    }

    public ChangeOrderAddrDTO(List<ShopCartItemVO> shopCartItems, Long freightAmount, UserAddrVO userAddrVO, Integer dvyType) {
        this.shopCartItems = shopCartItems;
        this.freightAmount = freightAmount;
        this.userAddrVO = userAddrVO;
        this.dvyType = dvyType;
    }

}
