
package com.tmerclub.cloud.api.delivery.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 订单快递信息VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
@Data
public class DeliveryOrderFeignVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单物流包裹id")
    private Long deliveryOrderId;

    @Schema(description = "订单号")
    private Long orderId;

    @Schema(description = "快递公司id")
    private Long deliveryCompanyId;

    @Schema(description = "快递单号")
    private String deliveryNo;

    @Schema(description = "收件人姓名")
    private String consigneeName;

    @Schema(description = "收件人电话（顺丰快递需要）")
    private String consigneeMobile;

    @Schema(description = "物流状态 1正常 -1删除")
    private Integer status;

    @Schema(description = "包裹商品总数")
    private Integer allCount;

    @Schema(description = "删除时间")
    private Date deleteTime;

    @Schema(description = "物流名称")
    private String deliveryName;

    @Schema(description = "物流包裹订单项")
    private List<DeliveryOrderItemFeignVO> orderItems;

    @Schema(description = "物流包裹订单项")
    private DeliveryInfoVO delivery;

    @Schema(description = "发货方式")
    private Integer deliveryType;

    @Override
    public String toString() {
        return "DeliveryOrderFeignVO{" +
                "deliveryOrderId=" + deliveryOrderId +
                ", orderId=" + orderId +
                ", deliveryCompanyId=" + deliveryCompanyId +
                ", deliveryNo='" + deliveryNo + '\'' +
                ", consigneeName='" + consigneeName + '\'' +
                ", consigneeMobile='" + consigneeMobile + '\'' +
                ", status=" + status +
                ", allCount=" + allCount +
                ", deleteTime=" + deleteTime +
                ", deliveryName='" + deliveryName + '\'' +
                ", orderItems=" + orderItems +
                ", delivery=" + delivery +
                ", deliveryType=" + deliveryType +
                '}';
    }
}
