
package com.tmerclub.cloud.api.order.bo;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 采购商品
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
@Data
public class EsPurchaseOrderItemBO extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long purchaseItemId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * sku id
     */
    private Long skuId;

    /**
     * 采购金额
     */
    private Long purchaseAmount;

    /**
     * 采购价
     */
    private Long purchasePrice;

    /**
     * 采购库存数量
     */
    private Integer purchaseStock;

    /**
     * 实际库存数量
     */
    private Integer actualStock;
    /**
     * 实际库存数量
     */
    private Integer deliveryType;

    /**
     * 状态 0:已作废 1:待入库 2:已发货 3.部分入库 5:已完成
     */
    private Integer status;

    /**
     * 商品编码
     */
    private String spuCode;

    /**
     * sku编码
     */
    private String partyCode;

    /**
     * 商品图片
     */
    private String pic;

    /**
     * 待发货数量
     */
    private Integer beDeliveredNum;

    /**
     * 商品名称
     */
    private String spuName;

    /**
     * 商品中文名称
     */
    private String spuNameZh;

    /**
     * 商品英文名称
     */
    private String spuNameEn;

    /**
     * sku名称
     */
    private String skuName;


    /**
     * sku中文名称
     */
    private String skuNameZh;

    /**
     * sku英文名称
     */
    private String skuNameEn;


    @Override
    public String toString() {
        return "EsPurchaseOrderItemBO{" +
                "purchaseItemId=" + purchaseItemId +
                ", spuId=" + spuId +
                ", skuId=" + skuId +
                ", purchaseAmount=" + purchaseAmount +
                ", purchasePrice=" + purchasePrice +
                ", purchaseStock=" + purchaseStock +
                ", actualStock=" + actualStock +
                ", deliveryType=" + deliveryType +
                ", status=" + status +
                ", spuCode='" + spuCode + '\'' +
                ", partyCode='" + partyCode + '\'' +
                ", pic='" + pic + '\'' +
                ", beDeliveredNum=" + beDeliveredNum +
                ", spuName='" + spuName + '\'' +
                ", spuNameZh='" + spuNameZh + '\'' +
                ", spuNameEn='" + spuNameEn + '\'' +
                ", skuName='" + skuName + '\'' +
                ", skuNameZh='" + skuNameZh + '\'' +
                ", skuNameEn='" + skuNameEn + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
