package com.tmerclub.cloud.api.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Data
public class AccountOrderDetailVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "微信金额")
    private Long wechatAmount;

    @Schema(description = "支付宝金额")
    private Long alipayAmount;

    @Schema(description = "余额金额")
    private Long balanceAmount;

    @Schema(description = "积分")
    private Long scoreCount;

    @Schema(description = "支付方式")
    private Integer payType;

    @Schema(description = "实付金额")
    private Long actualTotal;


    @Override
    public String toString() {
        return "AccountOrderDetailVO{" +
                "wechatAmount=" + wechatAmount +
                ", alipayAmount=" + alipayAmount +
                ", balanceAmount=" + balanceAmount +
                ", scoreCount=" + scoreCount +
                ", payType=" + payType +
                ", actualTotal=" + actualTotal +
                '}';
    }
}
