
package com.tmerclub.cloud.api.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @author cl
 * @date 2021-05-22 14:30:11
 */
@Data
public class CustomerRetainVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "当前月")
    private String currentMonth;

    @Schema(description = "成交月")
    private String dealMonth;

    @Schema(description = "新访问/成交客户数")
    private Integer newCustomers;

    @Schema(description = "第1月留存")
    private Integer firstMonthRemain;
    @Schema(description = "第1月留存率")
    private BigDecimal firstMonthRemainRate;

    @Schema(description = "第2月留存")
    private Integer secondMonthRemain;
    @Schema(description = "第2月留存率")
    private BigDecimal secondMonthRemainRate;

    @Schema(description = "第3月留存")
    private Integer thirdMonthRemain;
    @Schema(description = "第3月留存率")
    private BigDecimal thirdMonthRemainRate;

    @Schema(description = "第4月留存")
    private Integer fourthMonthRemain;
    @Schema(description = "第4月留存率")
    private BigDecimal fourthMonthRemainRate;

    @Schema(description = "第5月留存")
    private Integer fifthMonthRemain;
    @Schema(description = "第5月留存率")
    private BigDecimal fifthMonthRemainRate;

    @Schema(description = "第6月留存")
    private Integer sixthMonthRemain;
    @Schema(description = "第6月留存率")
    private BigDecimal sixthMonthRemainRate;



    @Override
    public String toString() {
        return "CustomerRetainVO{" +
                "currentMonth=" + currentMonth +
                ", newCustomers=" + newCustomers +
                ", dealMonth=" + dealMonth +
                ", firstMonthRemain=" + firstMonthRemain +
                ", firstMonthRemainRate=" + firstMonthRemainRate +
                ", secondMonthRemain=" + secondMonthRemain +
                ", secondMonthRemainRate=" + secondMonthRemainRate +
                ", thirdMonthRemain=" + thirdMonthRemain +
                ", thirdMonthRemainRate=" + thirdMonthRemainRate +
                ", fourthMonthRemain=" + fourthMonthRemain +
                ", fourthMonthRemainRate=" + fourthMonthRemainRate +
                ", fifthMonthRemain=" + fifthMonthRemain +
                ", fifthMonthRemainRate=" + fifthMonthRemainRate +
                ", sixthMonthRemain=" + sixthMonthRemain +
                ", sixthMonthRemainRate=" + sixthMonthRemainRate +
                '}';
    }
}
