
package com.tmerclub.cloud.api.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 分类签约信息
 *
 * @author lth
 */
@Data
public class CategoryShopDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键Id")
    private Long categoryShopId;

    @Schema(description = "分类id")
    @NotNull(message = "分类id不能为空")
    private Long categoryId;

    @Schema(description = "自定义扣率，为空代表采用平台扣率")
    private Double rate;

    @Schema(description = "经营资质")
    private String qualifications;


    @Override
    public String toString() {
        return "CategoryShopDTO{" +
                "categoryShopId=" + categoryShopId +
                ", categoryId=" + categoryId +
                ", rate=" + rate +
                ", qualifications='" + qualifications + '\'' +
                '}';
    }
}
