
package com.tmerclub.cloud.api.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 分类签约信息
 *
 * @author lhd
 */
@Data
public class HandleCategoryShopDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键Id")
    private List<CategoryShopDTO> categoryShopDTOList;

    @Schema(description = "系统类型 1.商家端 2.平台端 3.供应商端")
    private Integer sysType;

    @Schema(description = "店铺/供应商id")
    private Long shopId;


    @Override
    public String toString() {
        return "HandleCategoryShopDTO{" +
                "categoryShopDTOList=" + categoryShopDTOList +
                ", sysType=" + sysType +
                ", shopId=" + shopId +
                '}';
    }
}

