
package com.tmerclub.cloud.api.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author tmerclub
 */
@Data
public class PurchaseOrderUpdateDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "采购id")
    private Long purchaseOrderId;

    @Schema(description = "状态 0:已作废 1:待入库 2:已发货 3.部分入库 5:已完成")
    private Integer status;

    public PurchaseOrderUpdateDTO() {
    }

    public PurchaseOrderUpdateDTO(Long purchaseOrderId, Integer status) {
        this.purchaseOrderId = purchaseOrderId;
        this.status = status;
    }
    @Override
    public String toString() {
        return "PurchaseOrderUpdateDTO{" +
                "purchaseOrderId=" + purchaseOrderId +
                ", status=" + status +
                '}';
    }
}
