
package com.tmerclub.cloud.api.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/11/16
 */
@Data
public class EsPageVO<T> implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "总页数")
    private Integer pages;

    @Schema(description = "总条目数")
    private Long total;

    @Schema(description = "结果集")
    private List<T> list;

    @Override
    public String toString() {
        return "EsPageVO{" +
                ", pages=" + pages +
                ", total=" + total +
                ", list=" + list +
                '}';
    }
}
