
package com.tmerclub.cloud.biz.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author tmerclub
 * @date 2021-01-16 15:01:14
 */
@Data
@ToString
public class NotifyTemplate extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 消息模板表
     */
    private Long templateId;

    /**
     * 1.订单催付 2.付款成功通知 3.商家同意退款 4.商家拒绝退款 5.核销提醒  6.发货提醒  7.拼团失败提醒 8.拼团成功提醒 9.拼团开团提醒 10.会员升级提醒
     * 11.退款临近超时提醒 102.确认收货提醒 103.买家发起退款提醒 104.买家已退货提醒
     */
    private Integer sendType;

    /**
     * 通知内容
     */
    private String message;

    /**
     * 通知方式集合用逗号分隔 1.短信 2.公众号 3.站内消息
     */
    private String notifyTypes;

    /**
     * 短信模板code
     */
    private String templateCode;

    /**
     * 公众号消息模板code
     */
    private String mpCode;

    /**
     * 0.自定义消息 1.为全部发送给用户消息，2.为发送给商家的
     */
    private Integer msgType;

    /**
     * 1启用 0禁用
     */
    private Integer status;

    /**
     * 可用通知方式集合用逗号分隔 1.短信 2.公众号 3.站内消息
     */
    private static final Boolean SMS = false;

    private static final Boolean APP = false;

    private static final Boolean SUB = false;

}
