
package com.tmerclub.cloud.common.mongodb.bo.order;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author YXF
 * @date 2022/8/23
 */
@Data
@ToString
public class MongoOrderItemBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品图片
     */
    private String pic;

    /**
     * 商品数量
     */
    private Integer count;

    /**
     * 商品价格
     */
    private Long price;

    /**
     * 产品购买花费积分
     */
    private Long useScore;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 订单项id
     */
    private Long orderItemId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 平台一级分类id
     */
    private Long primaryCategoryId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 积分价格（单价）
     */
    private Long scoreFee;

    /**
     * 中文商品名称
     */
    private String spuNameZh;

    /**
     * 英文商品名称
     */
    private String spuNameEn;

    /**
     * 中文sku名称
     */
    private String skuNameZh;

    /**
     * 英文sku名称
     */
    private String skuNameEn;

    /**
     * 商品图片
     */
    private String supplierPic;

    /**
     * 中文供应商商品名称
     */
    private String supplierSpuNameZh;

    /**
     * 英文供应商商品名称
     */
    private String supplierSpuNameEn;

    /**
     * 中文供应商sku名称
     */
    private String supplierSkuNameZh;

    /**
     * 英文供应商sku名称
     */
    private String supplierSkuNameEn;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 用户Id
     */
    private Long userId;

    /**
     * 最终的退款id
     */
    private Long finalRefundId;

    /**
     * 推广员id
     */
    private Long distributionUserId;

    /**
     * 是否以评价(0.未评价1.已评价)
     */
    private Integer isComm;

    /**
     * 评论时间
     */
    private Date commTime;

    /**
     * 订单项退款状态（1:申请退款 2:退款成功 3:部分退款成功 4:退款失败）
     */
    private Integer refundStatus;

    /**
     * 0全部发货 其他数量为剩余待发货数量
     */
    private Integer beDeliveredNum;

    /**
     * 单个orderItem的配送类型 1:快递 2:自提 3：无需快递 4:同城配送
     */
    private Integer deliveryType;

    /**
     * 加入购物车时间
     */
    private Date shopCartTime;

    /**
     * 商品总金额
     */
    private Long spuTotalAmount;

    /**
     * 商品实际金额 = 商品总金额 - 分摊的优惠金额
     */
    private Long actualTotal;

    /**
     * 分摊的优惠金额
     */
    private Long shareReduce;

    /**
     * 平台优惠金额
     */
    private Long platformShareReduce;

    /**
     * 推广员佣金
     */
    private Long distributionAmount;

    /**
     * 上级推广员佣金
     */
    private Long distributionParentAmount;

    /**
     * 获得积分
     */
    private Long gainScore;

    /**
     * 店铺改价优惠金额
     */
    private Long shopChangeFreeAmount;

    /**
     * 运费减免金额
     */
    private Long freeFreightAmount;

    /**
     * 商品编码
     */
    private String spuCode;

    /**
     * sku编码
     */
    private String partyCode;

    /**
     * 赠品金额
     */
    private Long giveawayAmount;

    /**
     * 活动id
     */
    private Long activityId;

    /**
     * 活动类型 OrderActivityType
     */
    private Integer activityType;

    /**
     * 平台供应商佣金
     */
    private Long purchasePlatformCommission;



}
