
package com.tmerclub.cloud.common.order.bo;

import com.tmerclub.cloud.common.order.vo.OrderSimpleAmountInfoBO;
import com.tmerclub.cloud.common.order.vo.ShopCartOrderMergerVO;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 订单支付成功通知
 * @author tmerclub
 * @date 2020/12/8
 */
@Data
@ToString
public class PayNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private List<Long> orderIds;

    private Integer payType;

    private Long payId;

    /**
     * 商家是否同意采购， 1.是 0.否
     */
    private Integer agreePurchase;

    /**
     * 商家钱包记录id列表
     */
    private List<Long> shopWalletIds;

    /**
     * 订单类型
     */
    private Integer orderType;

    /**
     * 商品预售类型
     */
    private Integer preSaleType;

    /**
     * 订单状态
     */
    private Integer orderStatus;

    /**
     * 是否为采购订单
     */
    private Boolean isPurchaseOrder;
    /**
     * 支付系统类型
     */
    private Integer paySysType;

    private List<OrderStatusBO> orderStatusList;

    private List<OrderSimpleAmountInfoBO> orderSimpleAmountInfos;
    private ShopCartOrderMergerVO shopCartOrderMergerVO;

    public PayNotifyBO() {
    }
    public PayNotifyBO(List<Long> orderIds, Integer payType, Long payId, Integer paySysType, ShopCartOrderMergerVO shopCartOrderMergerVO) {
        this.orderIds = orderIds;
        this.payType = payType;
        this.payId = payId;
        this.paySysType = paySysType;
        this.shopCartOrderMergerVO = shopCartOrderMergerVO;
    }

}
