
package com.tmerclub.cloud.common.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 退款订单项
 *
 * @author tmerclub
 */
public class RefundOrderItemVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单项目id")
    private Long orderItemId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "产品名称")
    private String spuName;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "产品图片")
    private String pic;

    @Schema(description = "sku编码")
    private String partyCode;

    @Schema(description = "物品数量")
    private Integer count;

    @Schema(description = "产品价格")
    private Long price;

    @Schema(description = "产品总价格")
    private Long spuTotalAmount;

    @Schema(description = "商品实际金额")
    private Long actualTotal;

    @Schema(description = "平台优惠金额")
    private Long platformShareReduce;

    @Schema(description = "退还积分")
    private Long refundScore;

    @Schema(description = "订单项赠品列表", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<RefundOrderItemVO> giveawayList;

    @Schema(description = "订单项组合列表", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<RefundOrderItemVO> comboList;

    @Schema(description = "赠品金额")
    private Long giveawayAmount;


    @Schema(description = "活动id")
    private Long activityId;

    /**
     * 活动类型 OrderActivityType
     */
    @Schema(description = "活动类型")
    private Integer activityType;

    @Schema(description = "供应商图片")
    private String supplierPic;

    @Schema(description = "供应商商品名称")
    private String supplierSpuName;

    @Schema(description = "供应商sku名称")
    private String supplierSkuName;

    public List<RefundOrderItemVO> getComboList() {
        return comboList;
    }

    public void setComboList(List<RefundOrderItemVO> comboList) {
        this.comboList = comboList;
    }

    public String getSupplierSpuName() {
        return supplierSpuName;
    }

    public void setSupplierSpuName(String supplierSpuName) {
        this.supplierSpuName = supplierSpuName;
    }

    public String getSupplierSkuName() {
        return supplierSkuName;
    }

    public void setSupplierSkuName(String supplierSkuName) {
        this.supplierSkuName = supplierSkuName;
    }

    public String getSupplierPic() {
        return supplierPic;
    }

    public void setSupplierPic(String supplierPic) {
        this.supplierPic = supplierPic;
    }

    public Long getGiveawayAmount() {
        return giveawayAmount;
    }

    public void setGiveawayAmount(Long giveawayAmount) {
        this.giveawayAmount = giveawayAmount;
    }

    public List<RefundOrderItemVO> getGiveawayList() {
        return giveawayList;
    }

    public void setGiveawayList(List<RefundOrderItemVO> giveawayList) {
        this.giveawayList = giveawayList;
    }

    private List<OrderItemLangVO> orderItemLangList;

    public String getPartyCode() {
        return partyCode;
    }

    public void setPartyCode(String partyCode) {
        this.partyCode = partyCode;
    }

    public String getSpuName() {
        return spuName;
    }

    public void setSpuName(String spuName) {
        this.spuName = spuName;
    }

    public String getSkuName() {
        return skuName;
    }

    public void setSkuName(String skuName) {
        this.skuName = skuName;
    }

    public String getPic() {
        return pic;
    }

    public void setPic(String pic) {
        this.pic = pic;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public Long getSpuTotalAmount() {
        return spuTotalAmount;
    }

    public void setSpuTotalAmount(Long spuTotalAmount) {
        this.spuTotalAmount = spuTotalAmount;
    }

    public Long getActualTotal() {
        return actualTotal;
    }

    public void setActualTotal(Long actualTotal) {
        this.actualTotal = actualTotal;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public List<OrderItemLangVO> getOrderItemLangList() {
        return orderItemLangList;
    }

    public void setOrderItemLangList(List<OrderItemLangVO> orderItemLangList) {
        this.orderItemLangList = orderItemLangList;
    }

    public Long getPlatformShareReduce() {
        return platformShareReduce;
    }

    public void setPlatformShareReduce(Long platformShareReduce) {
        this.platformShareReduce = platformShareReduce;
    }

    public Long getRefundScore() {
        return refundScore;
    }

    public void setRefundScore(Long refundScore) {
        this.refundScore = refundScore;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Integer getActivityType() {
        return activityType;
    }

    public void setActivityType(Integer activityType) {
        this.activityType = activityType;
    }

    @Override
    public String toString() {
        return "RefundOrderItemVO{" +
                "orderItemId=" + orderItemId +
                ", spuId=" + spuId +
                ", spuName='" + spuName + '\'' +
                ", skuName='" + skuName + '\'' +
                ", pic='" + pic + '\'' +
                ", partyCode='" + partyCode + '\'' +
                ", count=" + count +
                ", price=" + price +
                ", spuTotalAmount=" + spuTotalAmount +
                ", actualTotal=" + actualTotal +
                ", platformShareReduce=" + platformShareReduce +
                ", refundScore=" + refundScore +
                ", giveawayList=" + giveawayList +
                ", comboList=" + comboList +
                ", giveawayAmount=" + giveawayAmount +
                ", activityId=" + activityId +
                ", activityType=" + activityType +
                ", supplierPic='" + supplierPic + '\'' +
                ", supplierSpuName='" + supplierSpuName + '\'' +
                ", supplierSkuName='" + supplierSkuName + '\'' +
                ", orderItemLangList=" + orderItemLangList +
                '}';
    }
}
