
package com.tmerclub.cloud.flow.bo;

import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户流量记录
 *
 * @author YXF
 * @date 2020-07-13 13:18:33
 */
@Document("flow_user_log")
@Data
@ToString
public class FlowLogBO implements Serializable{

    /**
     * operateId
     */
    private Long oid;

    /**
     * systemType: 系统类型 1:pc  2:h5  3:小程序 4:安卓  5:ios
     */
    private Integer st;

    /**
     * pageId: 页面id
     */
    private Integer pid;

    /**
     * visitEvent: 访问事件 1:页面访问 2:加购 3：收藏 4：提交订单 5：支付成功 6: 申请退款
     */
    private Integer ve;

    /**
     * 店铺id， 平台传0
     */
    private Integer sid;

    /**
     * 业务id
     */
    private Long bid;

    /**
     * step: 用户操作步骤数
     */
    private Integer s;

    /**
     * nums: 用户操作数量
     */
    private Integer n;

    /**
     * 用户id
     */
    private Long uid;

    /**
     * 用户登陆ip
     */
    private Long ip;

    /**
     * 日期时间 datetime
     */
    private Date dt;


}
