
package com.tmerclub.cloud.flow.bo;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.CompoundIndex;
import org.springframework.data.mongodb.core.index.CompoundIndexes;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serializable;


/**
 * 用户访问足迹统计
 *
 * @author YXF
 * @date 2020-07-13 13:18:33
 */
@CompoundIndexes({
        @CompoundIndex(name = "date_type_idx", def = "{'dateType':1}")
})
@Document("flow_user_footprint")
@Data
@ToString
public class FlowUserFootprintBO extends BaseModel implements Serializable{

    public static final Integer ID_LENGTH = 9;

    /**
     * id: 日期（yyMMdd）+ 时间类型 + visitId + 0
     * 长度：9位 (多留一个0，方便以后扩展)
     */
    @Id
    private Integer id;

    /**
     * 时间类型 1：日 2：周 3：月
     */
    private Integer dateType;
    /**
     * 用户数量
     */
    private Integer userNums;
    /**
     * 访问页面数量 (编号:访问页面数量)1:1 2:2 3:3 4:4 5:5 6:6-10 7:11-20 8:20+
     */
    private Integer visitId;


}
