
package com.tmerclub.cloud.flow.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户流量记录
 *
 * @author YXF
 * @date 2020-07-13 13:18:33
 */
@Data
@ToString
public class FlowLogDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * operateId
     */
    @Schema(description = "用户操作编号")
    private Long oid;

    /**
     * systemType
     */
    @Schema(description = "系统类型 1:pc  2:h5  3:小程序 4:安卓  5:ios")
    private Integer st;

    /**
     * pageId
     */
    @Schema(description = "页面id")
    private Integer pid;

    /**
     * visitEvent
     */
    @Schema(description = "访问事件 1:页面访问 2:加购 3：收藏 4：提交订单 5：支付成功")
    private Integer ve;

    @Schema(description = "店铺id， 平台传0")
    private Integer sid;

    @Schema(description = "业务id")
    private String bid;

    /**
     * step
     */
    @Schema(description = "用户操作步骤数")
    private Integer s;

    /**
     * nums
     */
    @Schema(description = "用户操作数量")
    private Integer n;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 用户登陆ip
     */
    private String ip;

    /**
     * 创建时间
     */
    private Date createTime;


}
