
package com.tmerclub.cloud.flow.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 数据表格
 *
 * @author TRACK
 */
@Data
@ToString
public class Form extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long formId;

    /**
     * 店铺Id
     */
    private Long shopId;

    /**
     * 报表名称
     */
    private String formName;

    /**
     * 推荐报表介绍内容
     */
    private String content;

    /**
     * 报表类型 1:店铺报表  2：商品报表
     */
    private Integer fromType;

    /**
     * 时间类型 1:天 2:周 3:月
     */
    private Integer timeType;

    /**
     * 时间格式 1:固定时间区间 2:指定时间范围
     */
    private Integer timeFormat;

    /**
     * 报表项id数组
     */
    private String formItemIds;

    /**
     * 开始时间（固定时间区间）
     */
    private Date startTime;

    /**
     * 结束时间（固定时间区间）
     */
    private Date endTime;

    /**
     * 时间范围 1:近1天  2:近7天  3: 近30天
     */
    private Integer timeRange;

    /**
     * 序号
     */
    private Integer seq;


}
