
package com.tmerclub.cloud.flow.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 流量分析—商品分析
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
@Data
@ToString
public class ProductAnalyse extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long productAnalyseId;

    /**
     * 创建日期
     */
    private Date createDate;

    /**
     * 系统类型
     */
    private Integer systemType;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 访问次数
     */
    private Long visis;

    /**
     * 点击数
     */
    private Long click;

    /**
     * 分享访问次数
     */
    private Long shareVisit;

    /**
     * 加购数量
     */
    private Integer plusShopCart;

    /**
     * 操作信息
     */
    private List<ProductAnalyseUser> productAnalyseUsers;


}
