
package com.tmerclub.cloud.flow.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 流量数据比例
 *
 * @author YXF
 * @date 2021-06-02
 */
@Data
@ToString
public class FlowAnalysisRatioVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "访客数比例")
    private Double userNumsRatio;

    @Schema(description = "新访客数比例")
    private Double newUserNumsRatio;

    @Schema(description = "跳失率比例")
    private Double lossUserRatio;

    @Schema(description = "访问量比例")
    private Double visitNumsRatio;

    @Schema(description = "人均访问量比例")
    private Double averageVisitNumsRatio;

    @Schema(description = "加购人数比例")
    private Double plusShopCartUserRatio;

    @Schema(description = "访问-下单比例")
    private Double placeOrderRatio;

    @Schema(description = "下单用户比例")
    private Double placeOrderUserRatio;

    @Schema(description = "访问-支付比例")
    private Double payRatio;

    @Schema(description = "支付用户比例")
    private Double payUserRatio;

}
