package com.tmerclub.cloud.flow.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Data
@ToString
public class FlowTrendExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "流量趋势分析信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;

    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty({"流量趋势分析信息", "时间"})
    private String date;

    @ExcelProperty({"流量趋势分析信息", "访客数"})
    private Integer userNums;

    @ExcelProperty({"流量趋势分析信息", "新访客数"})
    private Integer newUserNums;

    @ExcelProperty({"流量趋势分析信息", "浏览量"})
    private Integer visitNums;

    @ExcelProperty({"流量趋势分析信息", "人均浏览量"})
    private Double averageVisitNums;

    @ExcelProperty({"流量趋势分析信息", "加购数量"})
    private Integer plusShopCart;

    @ExcelProperty({"流量趋势分析信息", "跳失率"})
    private Double lossUserRate;

    @ExcelProperty({"流量趋势分析信息", "下单人数"})
    private Integer placeOrderUser;

    @ExcelProperty({"流量趋势分析信息", "支付人数"})
    private Integer payUser;


}
