
package com.tmerclub.cloud.flow.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 流量分析—页面数据统计表VO
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
@Data
@ToString
public class ProductAnalyseUserVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long productAnalyseUserId;

    @Schema(description = "页面分析id")
    private Long productAnalyseId;

    @Schema(description = "uuid")
    private String uuid;

    @Schema(description = "创建日期")
    private Date createDate;

    @Schema(description = "商品id")
    private String spuId;

    @Schema(description = "访问")
    private Integer isVisit;

    @Schema(description = "页面点击")
    private Integer isClick;

    @Schema(description = "分享访问")
    private Integer isShareVisit;

    @Schema(description = "下单")
    private Integer isPlaceOrder;

    @Schema(description = "支付")
    private Integer isPay;

    @Schema(description = "加购")
    private Integer isPlusShopCart;


}
