
package com.tmerclub.cloud.flow.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 流量分析—商品分析VO
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
@Data
@ToString
public class ProductAnalyseVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long productAnalyseId;

    @Schema(description = "创建日期")
    private Date createDate;

    @Schema(description = "页面编号")
    private Long pageId;

    @Schema(description = "系统类型")
    private Integer systemType;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "访问次数")
    private Long visis;

    @Schema(description = "点击数")
    private Long click;

    @Schema(description = "分享访问次数")
    private Long shareVisit;

    @Schema(description = "下单金额")
    private Double placeOrderAmount;

    @Schema(description = "支付金额")
    private Double payAmount;

    @Schema(description = "加购数量")
    private Integer plusShopCart;

    }
