
package com.tmerclub.cloud.flow.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 流量分析—用户数据VO
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
@Data
@ToString
public class UserAnalysisVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userAnalysisId;

    @Schema(description = "创建时间")
    private Date createDate;

    @Schema(description = "用户Id（用户未登陆时，为uuid）")
    private String userId;

    @Schema(description = "省Id")
    private Long provinceId;

    @Schema(description = "省名称")
    private String provinceName;

    @Schema(description = "加购数量")
    private Long plusShopCart;

    @Schema(description = "下单金额")
    private Long placeOrderAmount;

    @Schema(description = "支付金额")
    private Long payAmount;

    @Schema(description = "浏览量")
    private Integer visitNums;

    @Schema(description = "访客数" )
    private Integer visitUserNum;

    @Schema(description = "点击量" )
    private Integer clickNums;

    @Schema(description = "0:旧用户, 1:新用户, 2.未登陆用户")
    private Integer userType;

    @Schema(description = "会话数")
    private Integer sessionNums;

    @Schema(description = "系统类型 (1:pc  2:h5  3:小程序 4:安卓  5:ios)")
    private Integer systemType;

    @Schema(description = "商品访客数")
    private Integer prodVisitUser;

    @Schema(description = "商品浏览量")
    private Integer prodVisitNums;

    @Schema(description = "商品id列表")
    private List<Long> spuIdList;

    }
