
package com.tmerclub.cloud.group.dto;

import com.tmerclub.cloud.common.order.dto.OrderDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 拼团订单
 *
 * @author tmerclub
 * @date 2021-04-07 10:39:32
 */
@Data
@ToString
public class GroupOrderDTO extends OrderDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotNull(message = "活动商品规格Id不能为空")
    @Schema(description = "拼团商品规格Id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long groupSkuId;


}
