
package com.tmerclub.cloud.group.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 拼团活动商品表DTO
 *
 * @author YXF
 * @date 2021-03-20 10:39:32
 */
@Data
@ToString
public class GroupSpuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "活动商品id")
    private Long groupSpuId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "活动id")
    private Long groupActivityId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "已成团订单数（统计）")
    private Long groupOrderCount;

    @Schema(description = "已成团人数（统计）")
    private Long groupNumberCount;

    @Schema(description = "状态（1:正常 0:失效 -1:已删除）")
    private Integer status;


}
