
package com.tmerclub.cloud.group.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 拼团活动表
 *
 * @author YXF
 * @date 2021-03-20 10:39:31
 */
@Data
@ToString
public class GroupActivity extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 拼团活动id
     */
    private Long groupActivityId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 活动开始时间（活动状态：未开始、经行中、已结束）
     */
    private Date startTime;

    /**
     * 活动结束时间（活动状态：未开始、经行中、已结束）
     */
    private Date endTime;

    /**
     * 成团人数
     */
    private Integer groupNumber;

    /**
     * 商品是否限购（1:限购、0:不限购）
     */
    private Integer hasMaxNum;

    /**
     * 限购数量
     */
    private Integer maxNum;

    /**
     * 是否模拟成团（1:模拟参团、0:不模拟）
     */
    private Integer hasRobot;


    /**
     * 活动是否预热
     */
    private Integer isPreheat;

    /**
     * 是否开启凑团模式（1:凑团、0:不凑团）
     */
    private Integer hasGroupTip;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 已成团订单数（统计）
     */
    private Long groupOrderCount;

    /**
     * 已成团人数（统计）
     */
    private Long groupNumberCount;

    /**
     * 商品价格（sku最低价）
     */
    private Long price;

    /**
     * 拼团状态(-1:删除、0:未启用、1:启用、2:违规下架、3:等待审核 4:已失效 5:已结束)
     */
    private Integer status;

}
