
package com.tmerclub.cloud.group.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 拼团订单表
 *
 * @author YXF
 * @date 2021-03-20 10:39:32
 */
@Data
@ToString
public class GroupOrder extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 拼团订单id
     */
    private Long groupOrderId;

    /**
     * 拼团活动id
     */
    private Long groupActivityId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 拼团团队id
     */
    private Long groupTeamId;

    /**
     * user_id(当user_id为0时标识为机器人)
     */
    private Long userId;

    /**
     * 身份标识(0:成员  1:团长)
     */
    private Integer identityType;

    /**
     * 活动商品金额
     */
    private Long activityProdPrice;

    /**
     * 支付金额
     */
    private Long payPrice;

    /**
     * 订单编号
     */
    private Long orderId;

    /**
     * 状态(0:待支付、1:支付成功、-1:失效)
     */
    private Integer status;

    /**
     * 商品数量
     */
    private Integer count;


}
