
package com.tmerclub.cloud.group.vo.app;

import com.tmerclub.cloud.common.product.vo.SkuComboVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author YXF
 * @date 2021/3/26
 */
@Data
@ToString
public class AppGroupSkuVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "SPU id")
    private Long spuId;

    @Schema(description = "拼团活动商品规格id")
    private Long groupSkuId;

    @Schema(description = "商品规格Id")
    private Long skuId;

    @Schema(description = "售价，整数方式保存")
    private Long priceFee;

    @Schema(description = "市场价，整数方式保存")
    private Long marketPriceFee;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "sku图片")
    private String imgUrl;

    @Schema(description = "销售属性组合字符串 格式是p1:v1;p2:v2")
    private String properties;

    @Schema(description = "库存")
    private Integer stock;

    @Schema(description = "供应商库存")
    private Integer supplierStock;

    @Schema(description = "状态")
    private Integer status;

    @Schema(description = "组合商品列表")
    private List<SkuComboVO> skuComboList;


}
