
package com.tmerclub.cloud.im.vo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/8/15
 */
@Data
@ToString
public class MessageInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 发往id
     */
    private Long toId;

    /**
     * 客服消息类型 1.发送给平台 2.发送给商家
     */
    private Integer sendType;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 消息类型
     */
    private Integer msgType;

    /**
     * 可转接客服列表
     */
    private Boolean employeeList;

    /**
     * 可转接客服列表
     */
    private Boolean platformUserList;

    /**
     * 是否转接客服
     */
    private Boolean changeTo;

    /**
     * 转接客服id
     */
    private Long employeeId;

    /**
     * 转接客服id
     */
    private Long platformUserId;

    /**
     * 是否已读
     */
    private Boolean read;

    /**
     * 已读消息id
     */
    private List<Long> msgIds;

    /**
     * 已读通知客服id
     */
    private Long readNoticeEmployeeId;

    /**
     * 已读通知客服id
     */
    private Long readNoticePlatformUserId;

    /**
     * 是否查看历史
     */
    private Boolean history;

    /**
     * 消息历史每页大小
     */
    private Integer size;

    /**
     * 消息历史第几页
     */
    private Integer current;

    private Boolean onlineOrOffline;

    }
