package com.tmerclub.cloud.cuerecycle.mapper;

import com.tmerclub.cloud.cuerecycle.model.CueBrand;
import com.tmerclub.cloud.cuerecycle.model.dto.CueBrandDTO;
import com.tmerclub.cloud.cuerecycle.model.vo.CueBrandVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 球杆品牌Mapper接口
 *
 * @author : frank
 * @create : 2025-04-11
 */
public interface CueBrandMapper {

    /**
     * 查询球杆品牌列表
     *
     * @param cueBrandDTO 查询参数
     * @return 球杆品牌列表数据
     */
    List<CueBrandVO> list(@Param("dto") CueBrandDTO cueBrandDTO);

    /**
     * 获取球杆品牌详情
     *
     * @param brandId 主键
     * @return 球杆品牌详情
     */
    CueBrandVO getById(Long brandId);

    /**
     * 新增球杆品牌
     *
     * @param cueBrand 新增参数
     * @return 新增结果
     */
    int save(CueBrand cueBrand);

    /**
     * 修改球杆品牌
     *
     * @param cueBrand 修改参数
     * @return 修改结果
     */
    int update(CueBrand cueBrand);
}