package com.tmerclub.cloud.cuerecycle.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆品牌对象
 *
 * @author :  frank
 * @create :  2025-04-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CueBrand extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 品牌ID
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 品牌logo
     */
    private String brandLogo;
    /**
     * 排序
     */
    private Integer brandSeq;
    /**
     * 状态：0-禁用，1-启用
     */
    private Integer brandStatus;
    /**
     * 删除状态 0-未删除 1-已删除
     */
    private Integer deleted;
}