package com.tmerclub.cloud.cuerecycle.model.dto;

import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 上传订单号业务对象
 *
 * @author: frank
 * @create: 2025-04-15
 **/
@Data
public class CueSaveMailingDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 订单ID
     */
    @NotNull(message = "订单ID不能为空")
    private Long orderId;
    /**
     * 商城订单id
     */
    @NotNull(message = "商城订单ID不能为空")
    private Long mallOrderId;
    /**
     * 寄出单号
     */
    @NotEmpty(message = "寄出单号不能为空")
    private String sendNumber;
    /**
     * 用户姓名
     */
    @NotEmpty(message = "姓名不能为空")
    private String userName;
    /**
     * 用户联系方式
     */
    @NotEmpty(message = "手机号不能为空")
    private String userPhone;
}
