package com.tmerclub.cloud.cuerecycle.model.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 回收订单视图对象
 *
 * @author :  frank
 * @create :  2025-04-15
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AdminCueOrderVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @Schema(description = "主键ID")
    private Long orderId;
    /**
     * 商品名称
     */
    @Schema(description = "商品名称")
    private String productName;
    /**
     * 品牌名称
     */
    @Schema(description = "品牌名称")
    private String brandName;
    /**
     * 系列名称
     */
    @Schema(description = "系列名称")
    private String seriesName;
    /**
     * 类型名称
     */
    @Schema(description = "类型名称")
    private String typeName;
    /**
     * 商品图片
     */
    @Schema(description = "商品图片")
    private String productImages;
    /**
     * 用户姓名
     */
    @Schema(description = "用户姓名")
    private String userName;
    /**
     * 用户联系方式
     */
    @Schema(description = "用户联系方式")
    private String userPhone;
    /**
     * 类型：1-回收，2-置换，3-寄售
     */
    @Schema(description = "类型：1-回收，2-置换，3-寄售")
    private Integer cueOrderType;
    /**
     * 订单状态
     */
    @Schema(description = "订单状态")
    private Integer orderStatus;
    /**
     * 预计金额
     */
    @Schema(description = "预计金额")
    private Long estimatedAmount;
    /**
     * 评估金额
     */
    @Schema(description = "评估金额")
    private Long actualAmount;
    /**
     * 代金卷金额
     */
    @Schema(description = "代金卷金额")
    private Long voucherAmount;
    /**
     * 寄售佣金
     */
    private Long brokerage;
    /**
     * 服务费
     */
    private Long serviceCharge;
    /**
     * 是否已支付，1.已支付0.未支付
     */
    @Schema(description = "是否已支付，1.已支付0.未支付")
    private Integer isPayed;
    /**
     * 支付方式：1-余额，2-代金卷
     */
    @Schema(description = "支付方式：1-余额，2-代金卷")
    private Integer payType;
    /**
     * 付款时间
     */
    @Schema(description = "付款时间")
    private Date payTime;
    /**
     * 发货时间
     */
    @Schema(description = "发货时间")
    private Date deliveryTime;
    /**
     * 完成时间
     */
    @Schema(description = "完成时间")
    private Date finallyTime;
    /**
     * 寄出单号
     */
    @Schema(description = "收货物流单号")
    private String sendNumber;
    /**
     * 退货物流单号
     */
    @Schema(description = "退货物流单号")
    private String backTrackingNumber;
}