package com.tmerclub.cloud.cuerecycle.model.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆系列视图对象
 *
 * @author :  frank
 * @create :  2025-04-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CueSeriesVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 系列ID
     */
    @Schema(description = "系列ID")
    private Long seriesId;
    /**
     * 关联的品牌ID
     */
    @Schema(description = "关联的品牌ID")
    private Long brandId;
    /**
     * 系列名称
     */
    @Schema(description = "系列名称")
    private String seriesName;
    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer seriesSeq;
    /**
     * 状态：0-禁用，1-启用
     */
    @Schema(description = "状态：0-禁用，1-启用")
    private Integer seriesStatus;
}