package com.tmerclub.cloud.cuerecycle.model.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆类型视图对象
 *
 * @author :  frank
 * @create :  2025-04-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CueTypeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 类型ID
     */
    @Schema(description = "类型ID")
    private Long typeId;
    /**
     * 类型名称
     */
    @Schema(description = "类型名称")
    private String typeName;
    /**
     * 类型图片
     */
    @Schema(description = "类型图片")
    private String typeImage;
    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer typeSeq;
    /**
     * 状态：0-禁用，1-启用
     */
    @Schema(description = "状态：0-禁用，1-启用")
    private Integer typeStatus;
}