package com.tmerclub.cloud.cuerecycle.service;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.cuerecycle.model.dto.CueOrderFlawDTO;
import com.tmerclub.cloud.cuerecycle.model.vo.CueOrderFlawVO;

/**
 * 球杆商品瑕疵项Service接口
 *
 * @author : frank
 * @create : 2025-04-15
 */
public interface CueOrderFlawService {

   /**
    * 获取球杆商品瑕疵项分页列表
    *
    * @param pageDTO         分页参数
    * @param cueOrderFlawDTO 查询参数
    * @return 分页数据
    */
    PageVO<CueOrderFlawVO> page(PageDTO pageDTO,CueOrderFlawDTO cueOrderFlawDTO);

   /**
    * 新增球杆商品瑕疵项
    *
    * @param cueOrderFlawDTO 新增参数
    * @return 新增结果
    */
    int save(CueOrderFlawDTO cueOrderFlawDTO);

    /**
     * 根据订单ID删除球杆商品瑕疵项
     *
     * @param orderId 订单ID
     * @return 删除结果
     */
    int deleteByOrderId(Long orderId);
}