
package com.tmerclub.cloud.combo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 套餐商品项DTO
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
@Data
@ToString
public class ComboSpuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐商品项id")
    private Long comboProdId;

    @Schema(description = "套餐id")
    private Long comboId;

    @Schema(description = "商品id")
    private Long prodId;

    @Schema(description = "套餐价")
    private Double comboPrice;

    @Schema(description = "类型：1：主商品 2：搭配商品")
    private Integer type;

    @Schema(description = "是否必选：1：是 0：否")
    private Integer required;

    @Schema(description = "起搭数量")
    private Integer leastNum;

    @Schema(description = "状态 -1：删除 0：失效 1：正常")
    private Integer status;

}
