
package com.tmerclub.cloud.combo.model;

import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.common.product.vo.ComboSpuSkuVO;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 套装商品项
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
@Data
@ToString
public class ComboSpu extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 套餐商品项id
     */
    private Long comboSpuId;

    /**
     * 套餐id
     */
    private Long comboId;

    /**
     * 套餐价格
     */
    private Long comboPrice;

    /**
     * 商品价格
     */
    private Long price;

    /**
     * 类型：1：主商品 2：搭配商品
     */
    private Integer type;

    /**
     * 是否必选：1：是 0：否
     */
    private Integer required;

    /**
     * 起搭数量
     */
    private Integer leastNum;

    /**
     * 状态， -1：已删除 1：正常
     */
    private Integer status;

    /**
     * sku项列表
     */
    private List<ComboSpuSkuVO> skuList;

    /**
     * 商品id
     */
    private Long spuId;


}
