
package com.tmerclub.cloud.combo.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 套装商品sku项VO
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
@Data
@ToString
public class ComboSpuSkuVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐商品sku项id")
    private Long comboSpuId;

    @Schema(description = "skuId")
    @NotNull(message = "skuId不能为空")
    private Long skuId;

    @Schema(description = "搭配价格")
    @NotNull(message = "搭配价格不能为空")
    private Long matchingPrice;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "sku图片")
    private String pic;

    @Schema(description = "sku价格")
    private Long price;

    @Schema(description = "sku库存")
    private Integer stocks;

    @Schema(description = "sku状态 0 禁用 1 启用 -1 删除")
    private Integer skuStatus;

    @Schema(description = "销售属性组合字符串 格式是p1:v1;p2:v2")
    private String properties;

    /**
     * 商品是否必选：1：是 0：否
     */
    private Integer spuRequired;

    public String getSkuName() {
        return skuName;
    }


}
