
package com.tmerclub.cloud.combo.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 套装商品项VO
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
@Data
@ToString
public class ComboSpuVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐商品项id")
    private Long comboSpuId;

    @Schema(description = "套餐id")
    private Long comboId;

    @Schema(description = "商品id")
    @NotNull(message = "商品id不能为空")
    private Long spuId;

    @Schema(description = "套餐价格")
    private Long comboPrice;

    @Schema(description = "商品价格")
    private Long price;

    @Schema(description = "类型：1：主商品 2：搭配商品")
    private Integer type;

    @Schema(description = "是否必选：1：是 0：否")
    @NotNull(message = "是否必选不能为空")
    private Integer required;

    @Schema(description = "起搭数量")
    @NotNull(message = "起搭数量不能为空")
    private Integer leastNum;

    @Schema(description = "状态， -1：已删除 1：正常")
    private Integer status;

    @Schema(description = "商品图片")
    private String pic;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品状态")
    private Integer spuStatus;

    @Schema(description = "sku项列表")
    private List<ComboSpuSkuVO> skuList;


}
