
package com.tmerclub.cloud.coupon.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 优惠券用户关联信息DTO
 *
 * @author YXF
 * @date 2020-12-08 17:22:57
 */
@Data
@ToString
public class CouponUserDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "优惠券用户ID")
    private Long couponUserId;

    @Schema(description = "优惠券ID")
    private Long couponId;

    @Schema(description = "用户ID")
    private Long userId;

    @Schema(description = "店铺ID")
    private Long shopId;

    @Schema(description = "领券时间")
    private Date receiveTime;

    @Schema(description = "开始时间")
    private Date userStartTime;

    @Schema(description = "结束时间")
    private Date userEndTime;

    @Schema(description = "优惠券状态 0:失效 1:有效 2:使用过")
    private Integer status;

    @Schema(description = "优惠券是否被删除 0:未删除 1:已删除")
    private Integer isDelete;

}
