
package com.tmerclub.cloud.coupon.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 优惠券使用记录
 *
 * @author tmerclub
 * @date 2020-12-28 10:04:50
 */
@Data
@ToString
public class CouponLock extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 优惠券使用记录id
     */
    private Long id;

    /**
     * 优惠券id
     */
    private Long couponId;

    /**
     * 用户优惠券id
     */
    private Long couponUserId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单号
     */
    private String orderIds;

    /**
     * 优惠金额
     */
    private Long amount;

    /**
     * 使用状态(状态-1已解锁 0待确定 1已锁定)
     */
    private Integer status;

}
