
package com.tmerclub.cloud.coupon.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Document("coupon_user")
@Data
@ToString
public class MongoCouponUserCountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "优惠券id")
    private Long couponId;

    @Schema(description = "返回数量")
    private Integer count;

    @Schema(description = "全部数量")
    private Long allCount;

    @Schema(description = "平台券数量")
    private Long platformCount;

    @Schema(description = "店铺券数量")
    private Long multishopCount;

    @Schema(description = "未使用 优惠券的数量")
    private Integer couponUsableNums;

    @Schema(description = "已使用 优惠券的数量")
    private Integer couponUsedNums;

    @Schema(description = "已过期 优惠券的数量")
    private Integer couponExpiredNums;

    @Schema(description = "已领取优惠券的数量（null/0:没有领取）")
    private Integer hasReceive;

}
