
package com.tmerclub.cloud.coupon.vo.mongo;

import com.tmerclub.cloud.common.vo.BaseVO;
import com.tmerclub.cloud.coupon.vo.CouponVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * mongodb优惠券用户关联信息VO
 * @author YXF
 */
@Document("coupon_user")
@Data
@ToString
public class MongoCouponUserVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "优惠券用户ID")
    private Long couponUserId;

    @Schema(description = "优惠券ID")
    private Long couponId;

    @Schema(description = "用户ID")
    private Long userId;

    @Schema(description = "领券时间")
    private Date receiveTime;

    @Schema(description = "开始时间")
    private Date userStartTime;

    @Schema(description = "结束时间")
    private Date userEndTime;

    @Schema(description = "优惠券状态 0:失效 1:有效 2:使用过")
    private Integer status;

    @Schema(description = "优惠券是否被删除 0:未删除 1:已删除")
    private Integer isDelete;

    @Schema(description = "优惠券信息")
    private CouponVO couponVO;

}
