
package com.tmerclub.cloud.delivery.dto;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.order.vo.OrderStationSpuDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 用户订单自提参数
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
@Data
@ToString
public class OrderStationDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "自提门店id")
    private Long stationId;

    @Schema(description = "纬度")
    private Double lat;

    @Schema(description = "经度")
    private Double lng;

    @Schema(description = "门店名称")
    private String stationName;

    @Schema(description = "店铺id", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long shopId;


    /**
     * 用于门店库存判断
     */
    @Schema(description = "自提商品列表", requiredMode = Schema.RequiredMode.REQUIRED)
    List<OrderStationSpuDTO> stationSpuList;


    @Schema(description = "分页参数", requiredMode = Schema.RequiredMode.REQUIRED)
    private PageDTO pageDTO;

    /**
     * 用于订单门店列表查询
     */
    @Schema(description = "自提门店id列表")
    private List<Long> stationIds;



}
