
package com.tmerclub.cloud.delivery.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 自提点信息DTO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
@Data
@ToString
public class StationDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "自提点id")
    private Long stationId;

    @Schema(description = "关联店铺id")
    private Long shopId;

    @Schema(description = "自提点名称")
    private String stationName;

    @Schema(description = "自提点图片")
    private String imgUrl;

    @Schema(description = "电话区号")
    private String mobilePrefix;

    @Schema(description = "手机/电话号码")
    private String mobile;

    @Schema(description = "省ID")
    private Long provinceId;

    @Schema(description = "省")
    private String province;

    @Schema(description = "城市ID")
    private Long cityId;

    @Schema(description = "城市")
    private String city;

    @Schema(description = "区ID")
    private Long areaId;

    @Schema(description = "区")
    private String area;

    @Schema(description = "邮编")
    private String postCode;

    @Schema(description = "地址")
    private String addr;

    @Schema(description = "经度")
    private Double lng;

    @Schema(description = "纬度")
    private Double lat;

    @Schema(description = "时间数据")
    private String timeInfo;

    @Schema(description = "0:关闭 1:营业 2:强制关闭 3:审核中 4:审核失败")
    private Integer status;

    @Schema(description = "账号名")
    private String account;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "店铺id集合")
    private List<Long> shopIds;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "库存模式 参考StockModeEnum")
    private Integer stockMode;


}
