
package com.tmerclub.cloud.delivery.dto;

import com.tmerclub.cloud.common.order.dto.AreaDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 指定条件包邮项DTO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
@Data
@ToString
public class TransfeeFreeDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "指定条件包邮项id")
    private Long transfeeFreeId;

    @Schema(description = "运费模板id")
    private Long transportId;

    @Schema(description = "包邮方式 （0 满x件/重量/体积包邮 1满金额包邮 2满x件/重量/体积且满金额包邮）")
    private Integer freeType;

    @Schema(description = "需满金额")
    private Long amount;

    @Schema(description = "包邮x件/重量/体积")
    private Double piece;

    @Schema(description = "指定条件包邮城市项", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<AreaDTO> freeCityList;


}
