
package com.tmerclub.cloud.delivery.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 运费模板DTO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
@Data
@ToString
public class TransportDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "运费模板id")
    private Long transportId;

    @Schema(description = "运费模板名称")
    private String transName;

    /**
     * 系统类型见SysTypeEnum 0.普通用户系统 1.商家端 2平台端 3供应商端
     */
    @Schema(description = "系统类型")
    private Integer sysType;
    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "收费方式（0 按件数,1 按重量 2 按体积）")
    private Integer chargeType;

    @Schema(description = "是否包邮 0:不包邮 1:包邮")
    private Integer isFreeFee;

    @Schema(description = "是否含有包邮条件 0 否 1是")
    private Integer hasFreeCondition;

    @Schema(description = "指定条件包邮项")
    private List<TransfeeFreeDTO> transFeeFrees;

    @Schema(description = "运费项")
    private List<TransfeeDTO> transFees;

}
