
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 物流订单项信息
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
@Data
@ToString
public class DeliveryOrderItem extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long deliveryOrderItemId;

    /**
     * 订单物流包裹id
     */
    private Long deliveryOrderId;

    /**
     * 商品图片
     */
    private String imgUrl;

    /**
     * 商品名称
     */
    private String spuName;

    /**
     * 商品数量
     */
    private Integer count;

    /**
     * 商品图片
     */
    private String supplierImgUrl;

    /**
     * 商品名称
     */
    private String supplierSpuName;

}
