
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * 网点配置
 *
 * @author TRACK
 * @date 2023-08-23 14:48:23
 */
@Data
@ToString
public class OutletConfig extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 网点配置id
     */
    private Long outletConfigId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 快递公司类型
     */
    private Integer deliveryCompanyType;

    /**
     * 发货人
     */
    private String shipper;

    /**
     * 发货人电话
     */
    private String mobile;

    /**
     * 电子面单客户账户或月结账号
     */
    private String partnerId;

    /**
     * 电子面单密码
     */
    private String partnerKey;

    /**
     * 收件网点名称
     */
    private String net;

    /**
     * 纸张规格 1.一联面单 2.二联面单
     */
    private Integer paperSize;

    /**
     * 是否默认 0否1是
     */
    private Integer isDefault;

    /**
     * 发货地址
     */
    private String printAddr;

    /**
     * 发货地址id
     */
    private Long shopAddrId;

}
