
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 自提点信息
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
@Data
@ToString
public class Station extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 自提点id
     */
    private Long stationId;

    /**
     * 关联店铺id
     */
    private Long shopId;

    /**
     * 自提点名称
     */
    private String stationName;

    /**
     * 自提点图片
     */
    private String imgUrl;

    /**
     * 电话区号
     */
    private String mobilePrefix;

    /**
     * 手机/电话号码
     */
    private String mobile;

    /**
     * 省ID
     */
    private Long provinceId;

    /**
     * 省
     */
    private String province;

    /**
     * 城市ID
     */
    private Long cityId;

    /**
     * 城市
     */
    private String city;

    /**
     * 区ID
     */
    private Long areaId;

    /**
     * 区
     */
    private String area;

    /**
     * 邮编
     */
    private String postCode;

    /**
     * 地址
     */
    private String addr;

    /**
     * 经度
     */
    private Double lng;

    /**
     * 纬度
     */
    private Double lat;

    /**
     * 时间数据
     */
    private String timeInfo;

    /**
     * -1:已删除 0:关闭 1:营业 2:强制关闭 3:审核中 4:审核失败
     */
    private Integer status;

    /**
     * 账号名
     */
    private String account;

    /**
     * 库存模式
     */
    private Integer stockMode;


}
