
package com.tmerclub.cloud.delivery.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 指定条件包邮项
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
@Data
@ToString
public class TransfeeFree extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 指定条件包邮项id
     */
    private Long transfeeFreeId;

    /**
     * 运费模板id
     */
    private Long transportId;

    /**
     * 包邮方式 （0 满x件/重量/体积包邮 1满金额包邮 2满x件/重量/体积且满金额包邮）
     */
    private Integer freeType;

    /**
     * 需满金额
     */
    private Long amount;

    /**
     * 包邮x件/重量/体积
     */
    private Double piece;


}
