
package com.tmerclub.cloud.delivery.service.impl;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.util.PageUtil;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.common.order.vo.TransfeeFreeVO;
import com.tmerclub.cloud.delivery.mapper.TransfeeFreeMapper;
import com.tmerclub.cloud.delivery.service.TransfeeFreeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 指定条件包邮项
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:01
 */
@Service
public class TransfeeFreeServiceImpl implements TransfeeFreeService {

    @Autowired
    private TransfeeFreeMapper transfeeFreeMapper;

    @Override
    public PageVO<TransfeeFreeVO> page(PageDTO pageDTO) {
        return PageUtil.doPage(pageDTO, () -> transfeeFreeMapper.list());
    }

    @Override
    public TransfeeFreeVO getByTransfeeFreeId(Long transfeeFreeId) {
        return transfeeFreeMapper.getByTransfeeFreeId(transfeeFreeId);
    }
}
