
package com.tmerclub.cloud.delivery.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 订单快递信息VO
 *
 * @author tmerclub
 * @date 2020-12-07 15:10:00
 */
@Data
@ToString
public class DeliveryOrderVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单物流包裹id")
    private Long deliveryOrderId;

    @Schema(description = "订单号")
    private Long orderId;

    @Schema(description = "快递公司id")
    private Long deliveryCompanyId;

    @Schema(description = "快递单号")
    private String deliveryNo;

    @Schema(description = "收件人姓名")
    private String consigneeName;

    @Schema(description = "收件人电话（顺丰快递需要）")
    private String consigneeMobile;

    @Schema(description = "物流状态 1正常 -1删除")
    private Integer status;

    @Schema(description = "包裹商品总数")
    private Integer allCount;

    @Schema(description = "删除时间")
    private Date deleteTime;

    @Schema(description = "物流名称")
    private String deliveryName;

    @Schema(description = "发货方式 1快递 3无需物流")
    private Integer deliveryType;

}
