
package com.tmerclub.cloud.delivery.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

/**
 * 网点配置VO
 *
 * @author TRACK
 * @date 2023-08-23 14:48:23
 */
@Data
@ToString
public class OutletConfigVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "网点配置id")
    private Long outletConfigId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "快递公司类型")
    private Integer deliveryCompanyType;

    @Schema(description = "发货人")
    private String shipper;

    @Schema(description = "发货人电话")
    private String mobile;

    @Schema(description = "电子面单客户账户或月结账号")
    private String partnerId;

    @Schema(description = "电子面单密码")
    private String partnerKey;

    @Schema(description = "收件网点名称")
    private String net;

    @Schema(description = "纸张规格 1.一联面单 2.二联面单")
    private Integer paperSize;

    @Schema(description = "是否默认 0否1是")
    private Integer isDefault;

    @Schema(description = "发货地址")
    private String printAddr;

}
