
package com.tmerclub.cloud.order.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author tmerclub
 * @date 2021/2/4
 */
@Data
@ToString
public class SubmitOrderPayAmountInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "总共需要支付金额")
    private Long totalFee;

    @Schema(description = "总共需要支付定金")
    private Long depositAmount;

    @Schema(description = "总共需要支付尾款")
    private Long balanceAmount;

    @Schema(description = "运费")
    private Long freightAmount;

    @Schema(description = "平台减免运费金额")
    private Long platformFreeFreightAmount;

    @Schema(description = "总共需要支付积分（积分抵扣金额）")
    private Long totalScore;

    @Schema(description = "总共需要支付积分数量")
    private Long orderScore;

    @Schema(description = "订单类型")
    private Integer orderType;

    @Schema(description = "订单类型")
    private Integer preSaleType;

    @Schema(description = "定金预售支付状态 1.已支付定金 2.已支付尾款")
    private Integer preSalePayStatus;

    @Schema(description = "订单地址id")
    private Long orderAddrId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "尾款支付开始时间")
    private Date balanceStartTime;

    @Schema(description = "尾款支付开始时间")
    private Date balanceEndTime;


}
