package com.tmerclub.cloud.order.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * 调拨订单dto
 * @author gaozijie
 * @date 2023-11-20
 */
@Data
@ToString
public class AllotOrderDTO {

    @Schema(description = "调拨订单id")
    private Long allotOrderId;

    @Schema(description = "调出点仓库id")
    private Long outWarehouseId;

    @Schema(description = "调入点仓库id")
    private Long inWarehouseId;

    @Schema(description = "物流公司id")
    private Long dvyCompanyId;

    @Schema(description = "物流方式(1:快递, 3:无需快递)")
    private Integer dvyType;

    @Schema(description = "物流单号")
    private String dvyOrderNumber;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "调拨订单商品集合")
    private List<AllotOrderItemDTO> allotOrderItemDTOList;

    @Hidden
    @Schema(description = "店铺id")
    private Long shopId;

    @Hidden
    @Schema(description = "系统类型(1:商家, 3:供应商)")
    private Integer sysType;

    @Hidden
    @Schema(description = "调出点库存点类型")
    private Integer outStockPointType;

    @Hidden
    @Schema(description = "调入掉库存点类型")
    private Integer inStockPointType;

    @Hidden
    @Schema(description = "调拨状态")
    private Integer status;

    @Hidden
    @Schema(description = "用户Id")
    private Long userId;

    @Hidden
    @Schema(description = "仓库id")
    private Long warehouseId;

    @Hidden
    @Schema(description = "状态集合")
    private List<Integer> statuses;

    public AllotOrderDTO() {
    }

}
