package com.tmerclub.cloud.order.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * 调拨订单商品dto
 * @author gaozijie
 * @date 2023-11-20
 */
@Data
@ToString
public class AllotOrderItemDTO {

    @Schema(description = "调拨订单商品id")
    private Long allotOrderItemId;

    @Schema(description = "调拨订单id")
    private Long allotOrderId;

    @Schema(description = "商品spuId")
    private Long spuId;

    @Schema(description = "spu名称")
    private String spuName;

    @Schema(description = "商品skuId")
    private Long skuId;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "调拨数量")
    private Integer allotCount;

    @Schema(description = "入库数量")
    private Integer inboundCount;

    @Hidden
    @Schema(description = "调拨入库数量")
    private Integer allotInCount;

    @Hidden
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    @Hidden
    @Schema(description = "店铺id")
    private Long shopId;

    public AllotOrderItemDTO() {
    }

}
