
package com.tmerclub.cloud.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户退货物流地址DTO
 *
 * @author tmerclub
 * @date 2021-03-09 13:44:31
 */
@Data
@ToString
public class OrderRefundAddrDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "物流ID")
    private Long refundAddrId;

    @Schema(description = "店铺ID")
    private Long shopId;

    @Schema(description = "退款号")
    private Long refundId;

    @Schema(description = "买家ID")
    private Long userId;

    @Schema(description = "物流公司ID")
    private Long deliveryCompanyId;

    @Schema(description = "物流公司名称")
    private String deliveryName;

    @Schema(description = "物流单号")
    private String deliveryNo;

    @Schema(description = "收件人姓名")
    private String consigneeName;

    @Schema(description = "收件人电话（顺丰快递需要）")
    private String consigneeMobile;

    @Schema(description = "收件人座机")
    private String consigneeTelephone;

    @Schema(description = "收件人邮政编码")
    private String consigneePostCode;

    @Schema(description = "收件人地址")
    private String consigneeAddr;

    @Schema(description = "发送人手机号码")
    private String senderMobile;

    @Schema(description = "买家备注")
    private String senderRemarks;

    @Schema(description = "图片凭证")
    private String imgs;

}
