
package com.tmerclub.cloud.order.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 采购商品DTO
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
@Data
@ToString
public class PurchaseOrderItemDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long purchaseItemId;

    @Schema(description = "供应商品id")
    private Long supplierSpuId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "sku id")
    private Long skuId;

    @Schema(description = "供应商Id")
    @NotNull(message = "供应商Id不能为空")
    private Long supplierId;

    @Schema(description = "采购金额")
    private Long purchaseAmount;

    @Schema(description = "采购价")
    private Long purchasePrice;

    @Schema(description = "采购库存数量")
    private Integer purchaseStock;

    @Schema(description = "实际库存数量")
    private Integer actualStock;

    @Schema(description = "状态 0:已作废 1:待入库 2:已发货 3.部分入库 5:已完成")
    private Integer status;

    @Schema(description = "供应商skuId")
    private Long supplierSkuId;

    @Hidden
    @Schema(description = "入库数量")
    private Integer inboundStock;


}
