
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 退款支付结算单据
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
@Data
@ToString
public class OrderRefundSettlement extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 退款结算单据id
     */
    private Long settlementId;

    /**
     * 订单支付单号
     */
    private Long payId;

    /**
     * 订单编号
     */
    private Long orderId;

    /**
     * 退款单编号（本系统退款单号）
     */
    private Long refundId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 微信/支付宝退款单号（支付平台退款单号）
     */
    private String bizRefundNo;

    /**
     * 支付方式(1:微信支付 2支付宝支付)
     */
    private Integer payType;

    /**
     * 退款状态(1:申请中 2：已完成 -1失败)
     */
    private Integer refundStatus;

    /**
     * 退款金额
     */
    private Long refundAmount;

    /**
     * 订单总额
     */
    private Long orderTotalAmount;

    /**
     * 版本号
     */
    private Integer version;

}
