
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 自提订单自提点信息
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
@Data
@ToString
public class OrderSelfStation extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long orderSelfStationId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 订单编号
     */
    private Long orderId;

    /**
     * 自提点id
     */
    private Long stationId;

    /**
     * 自提人的手机
     */
    private String stationUserMobile;

    /**
     * 自提人的名字
     */
    private String stationUserName;

    /**
     * 自提时间(用户下单时选择)
     */
    private String stationTime;

    /**
     * 自提提货码
     */
    private String stationCode;

    /**
     * 上门自提点的地址
     */
    private String stationAddress;

    /**
     * 上门自提点的联系电话
     */
    private String stationPhone;

    /**
     * 用户id
     */
    private Long userId;

}
