
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 虚拟订单核销信息
 *
 * @author lhd
 * @date 2023-02-24 13:45:35
 */
@Data
@ToString
public class OrderVirtualInfo extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long orderVirtualInfoId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单项id
     */
    private Long orderItemId;
    /**
     * 店铺id
     */
    private Long shopId;
    /**
     * 门店id
     */
    private Long stationId;
    /**
     * 核销码
     */
    private String writeOffCode;

    /**
     * 剩余的多次核销次数
     */
    private Integer writeOffMultipleCount;

    /**
     * 是否核销 1.已核销 0.未核销
     */
    private Integer isWriteOff;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 核销时间
     */
    private Date writeOffTime;

}
