package com.tmerclub.cloud.order.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.tmerclub.cloud.common.model.ExcelModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @since 2023-11-30
 */
@Data
@ToString
public class AllotSpuInboundExcelVO extends ExcelModel implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "调拨商品信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    /**
     * 表头（用于excel模板校验）
     */
    public static final String HEADER = "调拨商品信息";
    public static final String[] HEADER_ARRAY = {"序号", "商品编码(必填)", "商品名称", "商品规格", "预计入库量", "剩余入库量", "实际入库量"};

    @ExcelProperty(value = {HEADER, "序号"}, index = 0)
    private Integer seq;

    @ExcelProperty(value = {HEADER, "商品编码(必填)"}, index = 1)
    private String partyCode;

    @ExcelProperty(value = {HEADER, "商品名称"}, index = 2)
    private String spuName;

    @ExcelProperty(value = {HEADER, "商品规格"}, index = 3)
    private String skuName;

    @ExcelProperty(value = {HEADER, "预计入库量"}, index = 4)
    private Integer allotCount;

    @ExcelProperty(value = {HEADER, "剩余入库量"}, index = 5)
    private Integer canInboundCount;

    @ExcelProperty(value = {HEADER, "实际入库量"}, index = 6)
    private Integer inboundCount;

    public AllotSpuInboundExcelVO() {
    }

}
