
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

/**
 * 订单退款介入记录信息VO
 *
 * @author tmerclub
 * @date 2023-08-25 10:45:35
 */
@Data
@ToString
public class OrderRefundInterventionVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "记录ID")
    private Long refundIntervertionId;

    @Schema(description = "退款id")
    private Long refundId;

    @Schema(description = "商家/供应商/用户id")
    private Long bizId;

    @Schema(description = "商家/供应商/用户名称")
    private String bizName;

    @Schema(description = "系统类型， 0.普通用户 1.商家端 2.平台端 3.供应商端")
    private Integer sysType;

    @Schema(description = "凭证说明")
    private String voucherDesc;

    @Schema(description = "文件凭证(逗号隔开)")
    private String imgUrls;

}
