
package com.tmerclub.cloud.order.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单excel信息
 *
 * @author lhd
 * @date 2022-7-8
 */
@Data
@ToString
public class PurchaseOrderInboundExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息 "商品编号", "商品名称", "预计入库量", "剩余入库量", "实际入库量
     */
    public static final String EXCEL_NAME = "入库商品信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty(value = {"商品信息", "序号"}, index = 0)
    private String seq;

    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty(value = {"商品信息", "商品编号"}, index = 1)
    private String partyCode;

    @ExcelProperty(value = {"商品信息", "商品名称"}, index = 2)
    private String spuName;

    @ExcelProperty(value = {"商品信息", "预计入库量"}, index = 3)
    private Integer purchaseStock;

    @ExcelProperty(value = {"商品信息", "剩余入库量"}, index = 4)
    private Integer actualStock;

    @ExcelProperty(value = {"商品信息", "实际入库量"}, index = 5)
    private Integer beDeliveredNum;

}
