
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.order.vo.OrderSkuLangVO;
import com.tmerclub.cloud.common.order.vo.OrderSpuLangVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import com.tmerclub.cloud.order.model.PurchaseOrderItemLang;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 采购商品VO
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
@Data
@ToString
public class PurchaseOrderItemVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long purchaseItemId;

    @Schema(description = "id")
    private Long orderItemId;

    @Schema(description = "供应商品id")
    private Long supplierSpuId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "sku id")
    private Long skuId;

    @Schema(description = "采购金额")
    private Long purchaseAmount;

    @Schema(description = "采购价")
    private Long purchasePrice;

    @Schema(description = "采购库存数量")
    private Integer purchaseStock;

    @Schema(description = "实际库存数量")
    private Integer actualStock;

    @Schema(description = "改变库存数量")
    private Integer changeStock;

    @Schema(description = "状态 0:已作废 1:待入库 2:已发货 3.部分入库 5:已完成")
    private Integer status;

    @Schema(description = "sku编码")
    private String partyCode;

    @Schema(description = "sku编码")
    private String pic;

    @Schema(description = "sku规格信息列表")
    private List<OrderSkuLangVO> skuLangList;

    @Schema(description = "spu名称列表")
    private List<OrderSpuLangVO> spuLangList;

    @Schema(description = "spu名称列表")
    private List<PurchaseOrderItemLang> purchaseOrderItemLangList;

    /**
     * 商品名称
     */
    @Schema(description = "商品名称")
    private String spuName;

    /**
     * sku名称
     */
    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "发货改变的数量")
    private Integer changeNum;

    @Schema(description = "待发货数量")
    private Integer beDeliveredNum;

    @Schema(description = "订单地址id")
    private Long orderAddrId;

    @Schema(description = "发货方式")
    private Long deliveryType;

}
