
package com.tmerclub.cloud.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Arrays;
import java.util.List;

/**
 * @author lanhai
 */
@Data
@ToString
public class StationDetailVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 自提点id
     */
    @Schema(description = "自提点id")
    private Long stationId;
    /**
     * 联系人
     */
    @Schema(description = "联系人")
    private String userName;
    /**
     * 自提点名称
     */
    @Schema(description = "自提点名称")
    private String stationName;
    /**
     * 自提点图片
     */
    @Schema(description = "自提点图片")
    private String imgUrl;

    /**
     * 是否常用客服中心 1是 0不是
     */
    @Schema(description = "是否常用客服中心 1是 0不是")
    private Integer defaultStation;

    @Schema(description = "库存模式 1共享总部库存 2独立销售库存")
    private Integer stockMode;

    @Schema(description = "库存是否充足 1.库存充足 0.库存不足")
    private Integer hasStock;

    /**
     * 省
     */
    @Schema(description = "省")
    private String province;
    /**
     * 省id
     */
    @Schema(description = "省id")
    private Long provinceId;
    /**
     * 市
     */
    @Schema(description = "市")
    private String city;
    /**
     * 市id
     */
    @Schema(description = "市id")
    private Long cityId;
    /**
     * 区
     */
    @Schema(description = "区")
    private String area;
    /**
     * 区id
     */
    @Schema(description = "区id")
    private Long areaId;
    /**
     * 详细地址
     */
    @Schema(description = "详细地址")
    private String addr;
    /**
     * 电话区号
     */
    @Schema(description = "电话区号")
    private String phonePrefix;
    /**
     * 电话
     */
    @Schema(description = "电话")
    private String mobile;
    /**
     * 店铺所在纬度
     */
    @Schema(description = "店铺所在纬度")
    private Double lat;
    /**
     * 店铺所在经度
     */
    @Schema(description = "店铺所在经度")
    private Double lng;
    /**
     * 距离
     */
    @Schema(description = "距离")
    private Double distance;
    /**
     * 是否默认自提点 1 默认  0 非默认
     */
    @Schema(description = "是否默认自提点 1 默认  0 非默认")
    private String commonAddr;

    /**
     * 用户自提点id
     */
    @Schema(description = "用户自提点id")
    private Long id;

    /**
     * 时间日期数据
     */
    private String timeInfo;

    /**
     * 营业时间
     */
    @Schema(description = "营业时间")
    private String business;
    /**
     * 时间日期数据
     */
    private List<TimeVO> timeVOs;
    @Data
    @ToString
    public static class TimeInfoModeVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
        /**
         * 营业时间
         */
        private Long[] shopTime;
        /**
         * 时段间隔 1:天 2:上下午晚上（12:00和18:00为分界点）  3:小时  4:半小时
         */
        private Integer interval;
        /**
         * 自提开始时间
         */
        private String stationStartTime;
        /**
         * 自提结束时间
         */
        private String stationEndTime;

    }


}
