
package com.tmerclub.cloud.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 提交订单的支付信息
 *
 * @author tmerclub
 * @date 2021/2/4
 */
@Data
@ToString
public class SubmitOrderPayInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品名称")
    private List<String> spuNameList;

    @Schema(description = "收货人姓名")
    private String consignee;

    @Schema(description = "收货地址")
    private String userAddr;

    @Schema(description = "收货人手机号")
    private String mobile;

    @Schema(description = "订单过期时间")
    private Date endTime;

    @Schema(description = "定金预售支付状态 1.已支付定金 2.已支付尾款")
    private Integer preSalePayStatus;

    @Schema(description = "尾款支付开始时间")
    private Date balanceStartTime;

    @Schema(description = "总共需要支付金额")
    private Long totalFee;

    @Schema(description = "总共需要支付积分（积分抵扣金额）")
    private Long totalScore;

    @Schema(description = "总共需要支付积分数量")
    private Long orderScore;

    @Schema(description = "订单类型")
    private Integer orderType;


}
