
package com.tmerclub.cloud.order.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 采购订单VO
 *
 * @author lhd
 * @date 2022-06-22 17:12:02
 */
@Data
@ToString
public class UnDeliveryPurchaseOrderExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "待发货订单信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {0, 1, 2, 3, 4, 5, 6, 7};

    @ExcelProperty(value = {"订单信息", "序号"}, index = 0)
    private String seq;

    @ExcelProperty(value = {"订单信息", "订单ID"}, index = 1)
    private String purchaseOrderId;

    @ExcelProperty(value = {"物流信息", "配送方式*"}, index = 2)
    private String deliveryType;

    @ExcelProperty(value = {"物流信息", "快递公司名称*（配送方式为快递配送时必填）"}, index = 3)
    private String deliveryCompanyName;

    @ExcelProperty(value = {"物流信息", "快递单号*（配送方式为快递配送时必填）"}, index = 4)
    private String deliveryNo;

    @ExcelProperty(value = {"物流信息", "收货人姓名"}, index = 5)
    private String consignee;

    @ExcelProperty(value = {"物流信息", "收货人手机"}, index = 6)
    private String mobile;

    @ExcelProperty(value = {"物流信息", "收货地址"}, index = 7)
    private String receivingAddr;

    @ExcelProperty({"订单项信息", "商品名称"})
    private String spuName;

    @ExcelProperty({"订单项信息", "sku名称"})
    private String skuName;

    @ExcelProperty({"订单项信息", "商品待发货数量"})
    private Integer count;

}
