package com.tmerclub.cloud.order.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @author TRACK
 */
@Data
@ToString
@Document("order")
public class MongoFinanceOrderDetailVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "交易时间")
    private Date transDate;

    @Schema(description = "订单号")
    private String orderId;

    @Schema(description = "下单时间")
    private Date placeTime;

    @Schema(description = "交易摘要")
    private String prodName;

    @Schema(description = "商品名称列表")
    private List<String> prodNames;

    @Schema(description = "发生渠道")
    private String shopName;

    @Schema(description = "资金变更申请人")
    private String userName;

    @Schema(description = "业务类型 1.订单支付 2.订单退款 3.余额充值 4.购买会员")
    private Integer bizType;

    /**
     * @see com.tmerclub.cloud.common.constant.PayType
     */
    @Schema(description = "支付方式 -1.不限")
    private Integer payType;

    @Schema(description = "收支金额")
    private Long transAmount;

    @Schema(description = "支付单号")
    private Long payId;

    @Schema(description = "退款单号")
    private Long refundId;

    @Schema(description = "支付多单订单号")
    private String orderIds;

    @Schema(description = "支付交易单号")
    private String payIds;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "用户id")
    private Long userId;

}
