
package com.tmerclub.cloud.order.vo.mongo;

import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author lth
 */
@Data
@ToString
@Document("order")
public class MongoOrderStatisticsVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 支付客户数
     */
    private Integer payUserCount;
    /**
     * 支付订单数
     */
    private Integer payOrderCount;
    /**
     * 支付商品数
     */
    private Integer payProdCount;
    /**
     * 实际支付金额
     */
    private Double actualTotal;
    /**
     * 平台优惠金额
     */
    private Long platformAmount;
    /**
     * 时间
     */
    private String timeData;
    /**
     * 当前月
     */
    private String currentMonth;
    /**
     * 退单数
     */
    private Integer chargebackCount;
    /**
     * 订单数
     */
    private Integer allCount;
    /**
     * 待付款订单数
     */
    private Integer unPay;
    /**
     * 待发货订单数
     */
    private Integer payed;
    /**
     * 待收货订单数
     */
    private Integer consignment;
    /**
     * 已完成订单数
     */
    private Long success;
    /**
     * 商品id
     */
    private Long spuId;
    /**
     * 商品名称
     */
    private String spuName;
    /**
     * 商品中文名称
     */
    private String spuNameZh;
    /**
     * 商品英文名称
     */
    private String spuNameEn;
    /**
     * 商品英文名称
     */
    private Long payActual;
    /**
     * 店铺id
     */
    private Long shopId;
    /**
     * 活动id
     */
    private Long activityId;
    /**
     * 支付时间
     */
    private Date payTime;
    /**
     * 消费金额
     */
    private Long consAmount;
    /**
     * 商品总金额
     */
    private Long total;
    /**
     * 运费
     */
    private Long freightAmount;
    /**
     * 实付金额
     */
    private Long actualAmount;
    /**
     * 消费次数
     */
    private Long consTimes;
    /**
     * 优惠总金额
     */
    private Long reduceAmount;
    /**
     * 总金额
     */
    private Long totalAmount;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户类型 1：新成交用户 0：老成交用户
     */
    private Integer userType;
    /**
     * 下单人数
     */
    private Integer placeOrderPerson;
    /**
     * 支付人数
     */
    private Integer payPerson;
    /**
     * 下单商品件数
     */
    private Integer placeOrderNum;
    /**
     * 支付商品件数
     */
    private Integer payNum;
    /**
     * 商品下单金额
     */
    private Double placeOrderAmount;
    /**
     * 商品支付金额
     */
    private Double payAmount;

    /**
     * 支付成功订单数，计算退款率使用
     */
    private Integer payOrderNum;

    /**
     * 是否已支付，1.已支付0.未支付
     */
    private Integer isPayed;

}
