
package com.tmerclub.cloud.payment.bo;

import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * 支付后，微信/支付宝返回的一些基础数据
 * @author tmerclub
 * @date 2020/12/25
 */
@Data
@ToString
public class PayInfoResultBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商城支付单号
     */
    private Long payId;

    /**
     * 第三方订单流水号
     */
    private String bizPayNo;

    /**
     * 是否支付成功
     */
    private Boolean paySuccess;

    /**
     * 支付成功的标记
     */
    private String successString;

    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 支付金额
     */
    private String extendInfo;

    /**
     * 回调内容
     */
    private String callbackContent;

    private Long refundId;

    /**
     * 支付系统类型(0:默认，1:通联)
     */
    private Integer paySysType;

    /**
     * 是否为支付宝退款回调
     */
    private Boolean isAliRefund;

}
