
package com.tmerclub.cloud.payment.bo;

import com.tmerclub.cloud.common.constant.PayType;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 退款信息
 * @author tmerclub
 */
@Data
@ToString
public class RefundInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付方式
     */
    private PayType payType;

    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 支付单号
     */
    private Long refundId;

    /**
     * 退款序号
     */
    private Integer refundNumber;

    /**
     * 付款金额
     */
    private Long payAmount;

    /**
     * 退款金额
     */
    private Long refundAmount;

    /**
     * 通知结果
     */
    private String notifyUrl;

    /**
     * 是否直接退款
     */
    private Integer onlyRefund;

    private Long userId;

    /**
     * 需要退款的用户,通常为商家id
     */
    private Long bizUserId;


}
