package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author lanhai
 */
@Data
@ToString
public class ApplyBankCardDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "银行卡号")
    private String cardNo;

    @Schema(description = "银行预留手机号")
    private String phone;

    @Schema(description = "姓名")
    private String name;

    @Schema(description = "绑卡方式(具体看:https://cloud.allinpay.com/ts-cloud-dev-web/#/apiCenter/index?params=y&key=300), 默认7")
    private Integer cardCheck;

    @Schema(description = "身份证号")
    private String identityNo;

    @Schema(description = "有效期 月年 例如0321")
    private String validate;

}
