
package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 购买vip支付信息
 *
 * @author tmerclub
 */
@Data
@ToString
public class BuyVipPayInfoDTO extends BasePayInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotNull
    @Schema(description = "用户等级id")
    private Long userLevelLogId;

    @Hidden
    @Schema(description = "支付系统类型(非填)")
    private Integer paySysType;

}
