package com.tmerclub.cloud.payment.dto;

import com.tmerclub.cloud.common.constant.PicType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author TRACK
 */
@Data
@ToString
public class IdCardCollectDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商户号")
    private String bizUserId;

    @Schema(description = "影印件核对结果异步通知地址 前端不填")
    private String ocrComparisonResultBackUrl;

    /**
     * @see PicType
     */
    @Schema(description = "影印件类型 1.营业执照 8.身份证正面（人像面） 9.身份证反面（国徽面）")
    private Integer picType;

    @Schema(description = "影印件图片 图片大小不超过 700k 图片格式 jpg、png")
    private String picture;

}
