package com.tmerclub.cloud.payment.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @date 2023-03-28
 */
@Data
@ToString
public class QueryInExpDetailDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "账户集编号")
    private String accountSetNo;

    @Schema(description = "订单编号")
    private String bizOrderNo;

    @NotNull(message = "dateStart不能为null或空")
    @Schema(description = "开始日期(时间格式yyyy-MM-dd HH:mm:ss)")
    private String dateStart;

    @NotNull(message = "dateEnd不能为null或空")
    @Schema(description = "结束日期(与开始日期间隔不能超过31天)")
    private String dateEnd;

    @Schema(description = "交易类型(1:充值, 2:转账, 3:提现, 4:退款, 5:应收账款确认, 9:收银宝退款资金调拨, 10:应收账款手续费确认, 12:退票)")
    private Integer tradeType;


}
