
package com.tmerclub.cloud.payment.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 订单支付记录
 *
 * @author tmerclub
 * @date 2020-12-25 09:50:59
 */
@Data
@ToString
public class PayInfo extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 用户id
     */
    private Long userId;
    /**
     * 外部订单流水号
     */
    private String bizPayNo;

    /**
     * 本次支付关联的多个订单号
     */
    private String orderIds;

    /**
     * 本次支付关联的退款号
     */
    private Long refundId;

    /**
     * 系统类型 见SysTypeEnum
     */
    private Integer sysType;

    /**
     * 支付入口
     */
    private Integer payEntry;

    /**
     * 支付方式 1 微信支付 2 支付宝
     */
    private Integer payType;

    /**
     * 支付状态
     */
    private Integer payStatus;

    /**
     * 支付积分
     */
    private Long payScore;

    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 版本号
     */
    private Integer version;

    /**
     * 回调内容
     */
    private String callbackContent;

    /**
     * 回调时间
     */
    private Date callbackTime;

    /**
     * 确认时间
     */
    private Date confirmTime;

    /**
     * 支付给商城的用户id，通联支付独有
     */
    private String toUserId;

    /**
     * TODO 暂时用不上系统支付类型
     */
    private Integer paySysType;

    /**
     * 支付的系统类型 1:pc  2:h5  3:小程序 4:安卓  5:ios
     */
    private Integer systemModel;

    /**
     * 第三方系统id
     */
    private String bizUserId;

}
