
package com.tmerclub.cloud.payment.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * spu信息VO
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
@Data
@ToString
public class PayInfoExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "收入对账";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {0};

    @ExcelProperty(value = {"收入对账信息", "序号"}, index = 0)
    private String seq;

    @ExcelProperty({"收入对账信息", "店铺名称"})
    private String shopName;

    @ExcelProperty({"收入对账信息", "支付单号"})
    private String payId;

    @ExcelProperty({"收入对账信息", "关联订单号"})
    private String orderIds;

    /**
     * 支付入口[0订单 1充值 2开通会员]
     */
    @ExcelProperty({"收入对账信息", "支付入口"})
    private String payEntry;

    /**
     * 支付方式 [0积分支付    1微信小程序支付    2支付宝支付    3微信扫码支付
     * 4微信H5支付    5微信公众号支付    6支付宝H5支付    7支付宝APP支付    8微信APP支付    9余额支付]
     */
    @ExcelProperty({"收入对账信息", "支付方式"})
    private String payType;

    @ExcelProperty({"收入对账信息", "支付积分"})
    private String payScore;

    @ExcelProperty({"收入对账信息", "支付宝金额"})
    private String alipayAmount;

    @ExcelProperty({"收入对账信息", "微信金额"})
    private String wechatAmount;

    @ExcelProperty({"收入对账信息", "余额金额"})
    private String balanceAmount;

    @DateTimeFormat("yyyy-MM-dd HH:mm:ss")
    @ExcelProperty({"收入对账信息", "支付时间"})
    private Date payTime;

}
