
package com.tmerclub.cloud.product.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 赠品套装商品项DTO
 *
 * @author tmerclub
 * @date 2022-08-16 11:11:59
 */
@Data
@ToString
public class GiveawaySpuDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "赠品商品项id")
    private Long giveawaySpuId;

    @Schema(description = "赠品id")
    private Long giveawayId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "skuId")
    private Long skuId;

    @Schema(description = "赠送数量")
    private Integer giveawayNum;

    @Schema(description = "退货价")
    private Long refundPrice;

    @Schema(description = "状态 1：正常 0：失效 -1：删除")
    private Integer status;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品图片")
    private String mainImgUrl;

    @Schema(description = "sku名称")
    private String skuName;

    @Schema(description = "商品现价")
    private Long priceFee;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺分类id")
    private Long shopCategoryId;

    @Schema(description = "查询名称")
    private String name;

}
