
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 品牌店铺关联信息
 *
 * @author tmerclub
 * @date 2021-05-08 13:31:45
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class BrandShop extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long brandShopId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 品牌id
     */
    private Long brandId;

    /**
     * 授权资质图片，以,分割
     */
    private String qualifications;

    /**
     * 类型 0：平台品牌，1：店铺自定义品牌
     */
    private Integer type;

    /**
     * 关联系统类型 1.店铺 2.平台端 3.供应商
     */
    private Integer sysType;

}
