
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 赠品表
 *
 * @author tmerclub
 * @date 2022-08-16 11:11:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class Giveaway extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 赠品id
     */
    private Long giveawayId;

    /**
     * 赠品名称
     */
    private String name;

    /**
     * 活动开始时间
     */
    private Date startTime;

    /**
     * 活动结束时间
     */
    private Date endTime;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 购买数量（购买了多少件才赠送赠品）
     */
    private Integer buyNum;

    /**
     * 主商品id
     */
    private Long spuId;

    /**
     * 状态 -1：已删除 0：关闭 1:开启 2:未开启
     */
    private Integer status;

}
