
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 购物车
 *
 * @author tmerclub
 * @date 2020-11-21 10:01:23
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class ShopCartItem extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long cartItemId;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 产品ID
     */
    private Long spuId;

    /**
     * SkuID
     */
    private Long skuId;

    /**
     * 分类ID
     */
    private Long categoryId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 购物车产品个数
     */
    private Integer count;

    /**
     * 满减活动ID
     */
    private Long discountId;

    /**
     * 售价，加入购物车时的商品价格
     */
    private Long priceFee;

    /**
     * 分销员用户id
     */
    private Long distributionUserId;

    /**
     * 是否已经勾选
     */
    private Integer isChecked;

    /**
     * 店铺是否停业 1：否 0：是
     */
    private Integer isClosed;

    /**
     * 套餐id
     */
    private Long comboId;

    /**
     * 套餐数量
     */
    private Integer comboCount;

    /**
     * 主购物车id（套餐）
     */
    private Long parentCartItemId;

}
