
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品规格属性关联信息
 *
 * @author tmerclub
 * @date 2020-10-28 15:27:24
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuAttrValue extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品属性值关联信息id
     */
    private Long spuAttrValueId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 语言 0.通用 1.中文 2.英文
     */
    private Integer lang;

    /**
     * 规格属性id
     */
    private Long attrId;

    /**
     * 规格属性名称
     */
    private String attrName;

    /**
     * 规格属性值id
     */
    private Long attrValueId;

    /**
     * 规格属性值名称
     */
    private String attrValueName;

    /**
     * 规格属性描述
     */
    private String attrDesc;

}
