
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品供应商变更记录
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuSupplierChangeLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商品供应商变更记录id
     */
    private Long spuChangeId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 变更类型 1.商品上架 2.商品下架 3.代销sku信息变更 4.新增sku
     */
    private Integer changeType;

    /**
     * 备注
     */
    private String remarks;

}
