
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品分组标签关联信息
 *
 * @author lhd
 * @date 2021-02-20 14:28:10
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SpuTagReference extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 分组引用id
     */
    private Long referenceId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 标签id
     */
    private Long tagId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 状态(1:正常,0:删除)
     */
    private Integer status;

    /**
     * 排序
     */
    private Integer seq;

}
