
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 出入库商品项
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class StockBillLogItem extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 出入库商品项id
     */
    private Long stockBillLogItemId;

    /**
     * 出入库明细id
     */
    private Long stockBillLogId;

    /**
     * 实际出入库数量
     */
    private Integer stockCount;

    /**
     * 商品库存剩余量
     */
    private Integer afterStock;

    /**
     * 成本单价
     */
    private Long unitPrice;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 备注
     */
    private String remark;

}
