
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 出入库原因
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class StockChangeReason extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long stockChangeReasonId;

    /**
     * 出入库类别，1：出库 2：入库
     */
    private Integer type;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 状态，1：启用 0：禁用 -1：删除
     */
    private Integer status;

    @Schema(description = "原因")
    private String reason;

    @Schema(description = "备注")
    private String remark;

    /**
     * 系统类型
     */
    private Integer sysType;

}
