
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 出入库原因状态
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class StockChangeReasonStatus extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long stockChangeReasonStatusId;

    /**
     * 关联的系统出入库原因id
     */
    private Long stockChangeReasonId;

    /**
     * 状态，1：启用 0：禁用 -1：删除
     */
    private Integer status;

    /**
     * 店铺id
     */
    private Long shopId;

}
