
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 盘点商品列表
 *
 * @author lhd
 * @date 2022-06-22 16:57:27
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class TakeStockSpu extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 盘点商品id
     */
    private Long takeStockSpuId;

    /**
     * 盘点id
     */
    private Long takeStockId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * sku_id
     */
    private Long skuId;

    /**
     * 账面库存
     */
    private Integer stocks;

    /**
     * 实盘库存
     */
    private Integer totalStock;

    /**
     * 盈亏类型 0盘平 1盘盈 2盘亏 -1异常
     */
    private Integer ioType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 异常原因 1.删除商品 2.盘点期间有库存变动 3.其他
     */
    private Integer exceptionReason;

}
