
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.product.vo.CategoryVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 品牌店铺关联信息VO
 *
 * @author tmerclub
 * @date 2021-05-08 13:31:45
 */
@Data
@ToString
public class BrandShopVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long brandShopId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "品牌id")
    private Long brandId;

    @Schema(description = "授权资质图片，以,分割")
    private String qualifications;

    @Schema(description = "类型 0：平台品牌，1：店铺自定义品牌")
    private Integer type;

    @Schema(description = "索引首字母")
    private String firstLetter;

    @Schema(description = "logo")
    private String imgUrl;

    @Schema(description = "品牌名称")
    private String name;

    @Schema(description = "品牌状态")
    private Integer brandStatus;
    @Schema(description = "分类id列表")
    private List<Long> categoryIds;

    @Schema(description = "绑定分类列表")
    private List<CategoryVO> categories;

    @Schema(description = "关联系统类型 1.店铺 2.平台端 3.供应商")
    private Integer sysType;

}
