
package com.tmerclub.cloud.product.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.tmerclub.cloud.common.product.vo.CategoryLangVO;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author TRACK
 */
@Data
@ToString
public class CategoryPlatformExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "平台分类信息";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;

    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {};

    @ExcelProperty({"平台分类信息", "分类中文名称"})
    private String nameZh;

    @ExcelProperty({"平台分类信息", "分类层级"})
    private String grade;

    @ExcelProperty({"平台分类信息", "父级分类（格式：一级分类/二级分类，中文名称）"})
    private String parentName;

    @ExcelProperty({"平台分类信息", "平台扣率"})
    private Double platformRate;

    @ExcelProperty({"平台分类信息", "分类状态"})
    private String categoryStatus;

    @ExcelProperty({"平台分类信息", "排序"})
    private Integer seq;

    @ExcelIgnore
    private Long categoryId;

    @ExcelIgnore
    private Long parentId;

    @ExcelIgnore
    private List<CategoryLangVO> categoryLangList;

    @ExcelIgnore
    private Integer level;

    @ExcelIgnore
    private Integer status;

}
