
package com.tmerclub.cloud.product.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * @Author lth
 * @Date 2021/4/26 9:28
 */
@Data
@ToString
public class CategoryShopVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键id")
    private Long categoryShopId;

    @Schema(description = "分类id")
    private Long categoryId;

    @Schema(description = "分类名称")
    private String name;

    @Schema(description = "上级分类id")
    private Long parentId;

    @Schema(description = "上级分类名称")
    private String parentName;

    @Schema(description = "平台扣率")
    private Double platformRate;

    @Schema(description = "自定义扣率，为空代表采用平台扣率")
    private Double customizeRate;

    @Schema(description = "经营资质")
    private String qualifications;

    @Schema(description = "分类状态 1:上架 0:下架 -1:已删除")
    private Integer categoryStatus;

    @Schema(description = "关联系统类型 1.店铺 2.平台端 3.供应商")
    private Integer sysType;

}
