package com.tmerclub.cloud.product.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author lanhai
 */
@Data
@ToString
public class SkuExcelVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * excel 信息
     */
    public static final String EXCEL_NAME = "商品库存信息";
    public static final String SHEET_NAME = "商品库存";
    /**
     * 哪一行开始导出
     */
    public static final int MERGE_ROW_INDEX = 2;
    /**
     * 需要合并的列数组
     */
    public static final int[] MERGE_COLUMN_INDEX = {0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10};

    @ExcelProperty(value = {"商品库存信息", "商品名称"}, index = 0)
    private String spuName;

    @ExcelProperty(value = {"商品库存信息", "商品编码"}, index = 1)
    private String partyCode;


    @ExcelProperty(value = {"商品库存信息", "商品规格"}, index = 2)
    private String skuName;

    @ExcelProperty(value = {"商品库存信息", "库存"}, index = 3)
    private Integer stock;

    @ExcelProperty(value = {"商品库存信息", "销售价（元）"}, index = 4)
    private String priceFee;


    @ExcelIgnore
    private Long spuId;

    @ExcelIgnore
    private Long skuId;


}
