
package com.tmerclub.cloud.product.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品浏览记录表VO
 *
 * @author YXF
 * @date 2021-03-19 14:28:14
 */
@Data
@ToString
public class SpuBrowseLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品浏览记录id")
    private Long spuBrowseLogId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Schema(description = "商品浏览记录id")
    private Date browseTime;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品主图")
    private String mainImgUrl;

    @Schema(description = "商品价格")
    private Long priceFee;

    @Schema(description = "积分价格")
    private Long scoreFee;

    @Schema(description = "商品状态 1:上架，其他：下架")
    private Integer spuStatus;

    @Schema(description = "商品类型")
    private Integer spuType;

    
}
