
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 商品评论VO
 *
 * @author YXF
 * @date 2021-01-11 13:47:33
 */
@Data
@ToString
public class SpuCommVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "ID")
    private Long spuCommId;

    @Schema(description = "商品ID")
    private Long spuId;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "店铺ID")
    private Long shopId;

    @Schema(description = "订单项ID")
    private Long orderItemId;

    @Schema(description = "评论用户ID")
    private Long userId;

    @Schema(description = "评论内容")
    private String content;

    @Schema(description = "掌柜回复")
    private String replyContent;

    @Schema(description = "记录时间")
    private Date createTime;

    @Schema(description = "回复时间")
    private Date replyTime;

    @Schema(description = "是否回复 0:未回复  1:已回复")
    private Integer replySts;

    @Schema(description = "IP来源")
    private String postip;

    @Schema(description = "商品得分，1-5分")
    private Integer score;

    @Schema(description = "店铺评分 1-5分")
    private Integer storeScore;

    @Schema(description = "物流评分 1-5分")
    private Integer logisticsScore;

    @Schema(description = "有用的计数")
    private Integer usefulCounts;

    @Schema(description = "晒图的json字符串")
    private String pics;

    @Schema(description = "是否匿名(1:是  0:否)")
    private Integer isAnonymous;

    @Schema(description = "评价(0好评 1中评 2差评)")
    private Integer evaluate;

    @Schema(description = "用户昵称")
    private String nickName;

    @Schema(description = "用户头像")
    private String userPic;

    @Schema(description = "商品图片")
    private String spuImg;

    @Schema(description = "商品规格")
    private String skuName;

    @Schema(description = "成交时间")
    private Date transactionTime;

    @Schema(description = "用户是否注销了")
    private Boolean isWriteOff;

}
