
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商家代销商品基本信息相对于供应商品是否改变VO
 *
 * @author tmerclub
 * @date 2022-08-11 22:21:10
 */
@Data
@ToString
public class SpuConsignmentChangeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "代销商品基本信息是否已更新表id")
    private Integer consignmentChangeId;

    @Schema(description = "代销商品id")
    private Integer spuId;

    @Schema(description = "代销商品名称是否已更改 0未更改，1已更改")
    private Integer nameChange;

    @Schema(description = "代销图片是否已更改 0未更改，1已更改")
    private Integer imageChange;

    @Schema(description = "代销商品卖点是否已更改, 0未更改，1已更改")
    private Integer sellingPointChange;

    @Schema(description = "代销商品视频是否已更改, 0未更改，1已更改")
    private Integer videoChange;

    @Schema(description = "代销商品计量单位是否已更改，0未更改，1已更改")
    private Integer measureUnitChange;

    @Schema(description = "代销商品品牌是否已更改，0未更改，1已更改")
    private Integer brandChange;

    @Schema(description = "代销商品详情是否已更改，0未更改，1已更改")
    private Integer detailChange;

}
