
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 商品调价记录VO
 *
 * @author lhd
 * @date 2022-06-29 17:48:25
 */
@Data
@ToString
public class SpuPriceLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商品调价记录id")
    private Long id;

    @Schema(description = "商品id")
    private Long spuId;

    @Schema(description = "规格id")
    private Long skuId;

    @Schema(description = "原供货价")
    private Long beforePrice;

    @Schema(description = "现供货价")
    private Long afterPrice;

    @Schema(description = "差价")
    private Long price;

    @Schema(description = "商品图片")
    private String mainImgUrl;

    @Schema(description = "SKU编码")
    private String partyCode;

    @Schema(description = "商品名称")
    private String spuName;

    @Schema(description = "商品规格")
    private String skuName;


}
