
package com.tmerclub.cloud.product.vo;

import com.tmerclub.cloud.common.product.vo.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author xxw
 * @date 2022/6/23 9:41
 */
@Data
@ToString
public class SupplierSpuVo implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "供应商商品id")
    private Long supplierSpuId;

    @Schema(description = "卖点")
    private String sellingPoint;

    @Schema(description = "多语言信息列表")
    private List<SpuLangVO> spuLangList;

    @Schema(description = "商品介绍主图")
    private String mainImgUrl;

    @Schema(description = "商品介绍主图 多个图片逗号分隔")
    private String imgUrls;

    @Schema(description = "商品视频")
    private String video;

    @Schema(description = "计量单位")
    private String measureUnit;

    @Schema(description = "供应商spu编码")
    private String spuCode;

    @Schema(description = "规格属性")
    private List<SpuAttrValueVO> spuAttrValues;

    @Schema(description = "sku列表")
    private List<SkuVO> skus;

    @Schema(description = "供应商平台分类信息")
    private CategoryVO category;

    @Schema(description = "分类ID")
    private Long categoryId;

    @Schema(description = "店铺分类ID")
    private Long shopCategoryId;

    @Schema(description = "店铺分类信息")
    private CategoryVO shopCategory;

    @Schema(description = "供应商id")
    private Long supplierId;

    @Schema(description = "品牌信息")
    private BrandVO brand;

    @Schema(description = "品牌ID")
    private Long brandId;

    @Schema(description = "商品详情")
    private String detail;

    @Schema(description = "商品详情列表")
    private List<SpuDetailVO> detailList;

    @Schema(description = "sku是否含有图片 0无 1有")
    private Integer hasSkuImg;

}
