package com.tmerclub.cloud.product.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;

/**
 * 对应MongoDB存储出入库日志emp
 *
 * @author track
 */
@Data
@ToString
@Document("spu_comm")
public class MongoSpuCommStatisticsVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "好评率")
    private Double positiveRating;

    @Schema(description = "评论数量")
    private Integer number;

    @Schema(description = "好评数")
    private Integer praiseNumber;

    @Schema(description = "中评数")
    private Integer secondaryNumber;

    @Schema(description = "差评数")
    private Integer negativeNumber;

    @Schema(description = "有图数")
    private Integer picNumber;

    @Schema(description = "五星")
    private Integer fiveStarsNumber;

    @Schema(description = "四星")
    private Integer fourStarsNumber;

    @Schema(description = "三星")
    private Integer threeStarsNumber;

    @Schema(description = "二星")
    private Integer twoStarsNumber;

    @Schema(description = "一星")
    private Integer oneStarsNumber;

    @Schema(description = "商品id")
    private Long spuId;

}
