
package com.tmerclub.cloud.search.bo;

import com.tmerclub.cloud.common.constant.Constant;
import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.search.canal.annotation.CanalModel;
import com.tmerclub.cloud.search.canal.common.FieldNamingPolicy;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 订单发票信息
 *
 * @author YXF
 * @date 2022-11-11
 */
@Data
@ToString
@CanalModel(database = "tmerclub" + Constant.UNDERLINE_ENV + "_order", table = "order_invoice", fieldNamingPolicy = FieldNamingPolicy.LOWER_UNDERSCORE)
public class OrderInvoiceBO extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 订单发票ID
     */
    private Long orderInvoiceId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 发票类型 1.电子普通发票
     */
    private Integer invoiceType;

    /**
     * 抬头类型 1.单位 2.个人
     */
    private Integer headerType;

    /**
     * 抬头名称
     */
    private String headerName;

    /**
     * 发票税号
     */
    private String invoiceTaxNumber;

    /**
     * 发票内容 1.商品明细
     */
    private Integer invoiceContext;

    /**
     * 发票状态 1.申请中 2.已开票
     */
    private Integer invoiceState;

    /**
     * 文件id
     */
    private Long fileId;

    /**
     * 申请时间
     */
    private Date applicationTime;

    /**
     * 上传时间
     */
    private Date uploadTime;

    private Integer orderStatus;

}
