
package com.tmerclub.cloud.search.bo;

import com.tmerclub.cloud.common.constant.Constant;
import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.search.canal.annotation.CanalModel;
import com.tmerclub.cloud.search.canal.common.FieldNamingPolicy;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 库存信息
 *
 * @author tmerclub
 * @date 2020-11-11 13:49:06
 */
@Data
@ToString
@CanalModel(database = "tmerclub" + Constant.UNDERLINE_ENV + "_product", table = "sku_stock", fieldNamingPolicy = FieldNamingPolicy.LOWER_UNDERSCORE)
public class SkuStockBO extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 库存id
     */
    private Long stockId;

    /**
     * SKU ID
     */
    private Long skuId;

    /**
     * 实际库存
     */
    private Integer actualStock;

    /**
     * 锁定库存
     */
    private Integer lockStock;

    /**
     * 可售卖库存
     */
    private Integer stock;

    private Long spuId;

    /**
     * 是否已经进行分片
     */
    private Integer hasZone;

    /**
     * 剩余的分片数量
     */
    private Integer limitZone;

}
