
package com.tmerclub.cloud.seckill.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 秒杀信息
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class Seckill extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 秒杀活动id
     */
    private Long seckillId;

    /**
     * 活动名称
     */
    private String seckillName;

    /**
     * 开始日期
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 所选批次
     */
    private Integer selectedLot;

    /**
     * 所选秒杀分类
     */
    private Long categoryId;

    /**
     * 活动标签
     */
    private String seckillTag;

    /**
     * 限购数量
     */
    private Integer maxNum;

    /**
     * 取消订单时间
     */
    private Integer maxCancelTime;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 0 未删除 1已删除
     */
    private Integer isDelete;

    /**
     * 状态(0:失效、1:正常、2:违规下架、3:等待审核)
     */
    private Integer status;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 秒杀活动剩余总库存
     */
    private Integer seckillTotalStocks;

    /**
     * 秒杀活动原始库存
     */
    private Integer seckillOriginStocks;

    /**
     * 秒杀活动最低价
     */
    private Long seckillPrice;

    /**
     * 补充库存 0不补充 1补充
     */
    private Integer replenish;

}
