
package com.tmerclub.cloud.seckill.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 秒杀订单
 *
 * @author lhd
 * @date 2021-03-30 14:59:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SeckillOrder extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 秒杀订单id
     */
    private Long seckillOrderId;

    /**
     * 秒杀订单id
     */
    private Long seckillId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 秒杀到的商品数量
     */
    private Integer prodCount;
    /**
     * 商品id
     */
    private Long spuId;

    /**
     * -1指无效，0指待付款，1指已付款
     */
    private Integer state;

    /**
     * 秒杀到的秒杀商品sku
     */
    private Long seckillSkuId;

}
