
package com.tmerclub.cloud.seckill.model;

import com.tmerclub.cloud.common.model.BaseModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 秒杀活动sku
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SeckillSku extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 秒杀活动单个skuid
     */
    private Long seckillSkuId;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 秒杀活动id
     */
    private Long seckillId;

    /**
     * 用于秒杀的库存
     */
    private Integer seckillStocks;

    /**
     * 秒杀价格
     */
    private Long seckillPrice;

    @Schema(description = "秒杀的原始库存")
    private Integer seckillOriginStocks;

}
