
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀信息VO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class AppSeckillVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "最近一场秒杀活动时间，负数表示当前的秒杀活动还有多久结束")
    private Long nextTime;

    @Schema(description = "最近一场秒杀活动时段")
    private Integer selectedLot;

    @Schema(description = "秒杀活动列表")
    private List<SeckillSpuVO> seckillSpuList;


}
