
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 秒杀信息VO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class SeckillAdminVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "开始日期")
    private Date startTime;

    @Schema(description = "具体开始时间")
    private Date dateTime;

    @Schema(description = "结束时间")
    private Date endTime;

    @Schema(description = "所选批次")
    private Integer selectedLot;

    @Schema(description = "参与商家数")
    private Integer joinShopNum;

    @Schema(description = "抢购商品数量")
    private Integer prodNum;

    @Schema(description = "数量")
    private Integer num;

    @Schema(description = "能否参与活动1.能 0.不能")
    private Integer canJoin;


}
