
package com.tmerclub.cloud.user.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * 跳转链接
 * @author TRACK
 */
@Data
@ToString
public class JumpUrlBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    @Schema(description = "类型 1.商品 2.分类 3.店铺 4.页面 5.微页面 6.自定义链接 7.优惠券")
    private String type;

    @Schema(description = "商品名称/优惠券名称等")
    private String name;

    @Schema(description = "商品id/优惠券id等")
    private String link;

}
