
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户扩展信息DTO
 *
 * @author YXF
 * @date 2020-12-08 10:16:53
 */
@Data
@ToString
public class UserExtensionDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userExtensionId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "用户等级")
    private Integer level;

    @Schema(description = "等级条件 0 普通会员 1 付费会员")
    private Integer levelType;

    @Schema(description = "用户当前成长值")
    private Integer growth;

    @Schema(description = "用户积分")
    private Long score;

    @Schema(description = "用户总余额")
    private Long balance;

    @Schema(description = "用户实际余额")
    private Long actualBalance;

    @Schema(description = "乐观锁")
    private Integer version;

    @Schema(description = "连续签到天数")
    private Integer signDay;

    @Schema(description = "改变余额数值")
    private Long changeBalance;

    @Schema(description = "更新时间")
    protected Date updateTime;


}
