
package com.tmerclub.cloud.user.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 会员等级表DTO
 *
 * @author tmerclub
 * @date 2021-04-25 16:01:58
 */
@Data
@ToString
public class UserLevelDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键")
    private Long userLevelId;

    @NotNull(message = "等级不能为空")
    @Schema(description = "等级")
    private Integer level;

    @NotNull(message = "等级名称不能为空")
    @Schema(description = "等级名称")
    private String levelName;

    @NotNull(message = "等级类型不能为空")
    @Schema(description = "等级类型 0:普通会员 1:付费会员")
    private Integer levelType;

    @Schema(description = "所需成长值")
    private Integer needGrowth;

    @Schema(description = "1:已更新 0:等待更新(等级修改后，用户等级的更新)")
    private Integer updateStatus;

    @Schema(description = "付费会员，是否可以招募会员；1可以招募，0停止招募")
    private Integer recruitStatus;

    @Schema(description = "权益id数组")
    private List<Long> userRightsIds;

    @Schema(description = "等级期数列表")
    private List<UserLevelTermDTO> userLevelTerms;

}
