
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author tmerclub
 * @date 2023-01-15 15:53:16
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class ShopCustomer extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺客户id
     */
    private Long shopCustomerId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 会员名称
     */
    private String memberName;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 会员类型（-1：客户，0：免费会员，1：付费会员）
     */
    private Integer levelType;

    /**
     * 会员等级Id
     */
    private Long levelId;

    /**
     * 会员等级
     */
    private Integer level;

    /**
     * 成长值
     */
    private Integer growth;

    /**
     * 会员注册时间
     */
    private Date registTime;

    /**
     * 付费会员到期时间
     */
    private Date vipEndTime;

}
