
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户表
 *
 * @author YXF
 * @date 2020-12-08 11:18:04
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class User extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * ID
     */
    private Long userId;

    /**
     * 用户昵称
     */
    private String nickName;

    /**
     * M(男) or F(女)
     */
    private String sex;

    /**
     * 例如：2009-11-27
     */
    private String birthDate;

    /**
     * 头像图片路径
     */
    private String pic;

    /**
     * 状态 1 正常 0 无效
     */
    private Integer status;

    /**
     * 会员等级（冗余字段）
     */
    private Integer level;

    /**
     * vip结束时间
     */
    private Date vipEndTime;

    /**
     * 等级条件 0 普通会员 1 付费会员
     */
    private Integer levelType;

    /**
     * 手机号 (冗余字段)
     */
    private String phone;

    /**
     * 付费会员等级
     */
    private Integer vipLevel;

    /**
     * 用户付费会员等级 商品个性化推荐 1:开启 0:关闭
     */
    private Integer prodRecommendation;

}
