
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 余额记录
 *
 * @author tmerclub
 * @date 2021-04-27 15:51:36
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserBalanceLog extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long balanceLogId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 充值id
     */
    private Long rechargeId;

    /**
     * 改变金额
     */
    private Long changeBalance;

    /**
     * 收支类型 0支出 1收入
     */
    private Integer ioType;

    /**
     * 支付编号(用于余额充值)
     */
    private Long payId;

    /**
     * 支付类型
     */
    private Integer payType;

    /**
     * 1:充值 2:赠送 3:支付  4:退款 5:平台手动修改 6:购买会员 7.提现
     * RechargeTypeEnum
     */
    private Integer type;

    /**
     * 1:已支付 0:未支付(用于余额充值)
     */
    private Integer isPayed;

    /**
     * 退款单号(用于余额支付进行退款)
     */
    private Long refundId;
    /**
     * 退款序号
     */
    private Integer refundNumber;

    /**
     * 支付系统类型(0:默认支付, 1:通联支付)
     */
    private Integer paySysType;

}
