
package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户权益信息
 *
 * @author tmerclub
 * @date 2021-04-25 16:01:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserRights extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 权益id
     */
    private Long rightsId;

    /**
     * 权益名称
     */
    private String rightsName;

    /**
     * 权益图标
     */
    private String icon;

    /**
     * 权益简介
     */
    private String description;

    /**
     * 权益详情
     */
    private String details;

    /**
     * 状态：-1: 删除 0:禁用 1：正常(仅用于系统核销)
     */
    private Integer status;

    /**
     * 排序 从小到大
     */
    private Integer seq;

    /**
     * 权益类型[0.自定义 1.积分回馈倍率 2.优惠券 3.积分赠送(数量) 4.会员折扣 5.包邮类型]
     */
    private Integer rightsType;

    /**
     * 积分回馈倍率
     */
    private Integer rateScore;

    /**
     * 赠送积分
     */
    private Long presScore;

    /**
     * 会员折扣
     */
    private Integer discount;

    /**
     * 折扣范围[0.全平台 1.自营店]
     */
    private Integer discountRange;

    /**
     * 包邮类型[1.全平台包邮 2.自营店包邮]
     */
    private Integer freeFeeType;

}
