package com.tmerclub.cloud.user.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * @author gaozijie
 * @date 2023-04-24
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserWithdrawCash extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 提现id
     */
    private Long cashId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 支付系统类型
     */
    private Integer paySysType;

    /**
     * 提现订单号
     */
    private String orderNo;

    /**
     * 第三方提现订单号(通联)
     */
    private String bizOrderNo;

    /**
     * 提现金额
     */
    private Long amount;

    /**
     * 提现银行卡号
     */
    private String bankCardNo;

    /**
     * 通联提现状态(0:待支付 1:申请成功 2:提现成功 3:提现失败)
     */
    private Integer status;

    /**
     * 提现失败原因
     */
    private String payFailMessage;

}
