
package com.tmerclub.cloud.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author CDT
 * @date 2021/4/15
 */
@Data
@ToString
public class ScoreDataVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 签到积分列表
     */
    @Schema(description = "签到积分列表")
    private List<Integer> scoreList;
    /**
     * 用户积分
     */
    @Schema(description = "用户积分")
    private Long score;

    /**
     * 当天签到可领积分
     */
    @Schema(description = "当天签到可领积分")
    private Integer curScore;

    /**
     * 上次结算过期的积分
     */
    @Schema(description = "上次结算过期的积分")
    private Long expireScore;
    /**
     * 过期时间(年)
     */
    @Schema(description = "过期时间(年)")
    private Integer expireYear;
    /**
     * 积分过期开关
     */
    @Schema(description = "积分过期开关")
    private Boolean scoreExpireSwitch;
    /**
     * 等级名称
     */
    @Schema(description = "等级名称")
    private String levelName;
    /**
     * 等级类型 0 普通会员 1 付费会员
     */
    @Schema(description = "等级类型 0 普通会员 1 付费会员")
    private Integer levelType;
    /**
     * 用户当前成长值
     */
    @Schema(description = "用户当前成长值")
    private Integer growth;
    /**
     * 注册可获取积分
     */
    @Schema(description = "注册可获取积分")
    private Long registerScore;
    /**
     * 购物可获取积分
     */
    @Schema(description = "购物可获取积分")
    private Long shoppingGetScore;

    /**
     * 是否已经签到 1是 0否
     */
    @Schema(description = "是否已经签到 1是 0否")
    private Integer isSignIn;

    /**
     * 是否已经注册 1是 0否
     */
    @Schema(description = "是否已经注册 1是 0否")
    private Integer isRegister;

    /**
     * 签到第几天
     */
    @Schema(description = "签到第几天")
    private Integer signInCount;

    /**
     * 购物使用积分开关是否开启 true:开启 false:关闭
     */
    @Schema(description = "购物使用积分开关是否开启 true:开启 false:关闭")
    private Boolean shoppingScoreSwitch;

}
