
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;

/**
 * VO
 *
 * @author tmerclub
 * @date 2021-04-25 16:01:58
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserLevelTermVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键")
    private Long levelTermId;

    @Schema(description = "等级id")
    private Long userLevelId;

    @Schema(description = "期数类型(0:月,1:季,2:年)")
    private Integer termType;

    @Schema(description = "价格")
    private Long needAmount;

    @Schema(description = "状态(0: 禁用1: 启用)")
    private Integer status;

    @Schema(description = "原价(按月份算)，分")
    private Integer originalPrice;

    @Schema(description = "折扣")
    private Double discount;

}
