
package com.tmerclub.cloud.user.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 用户积分获取记录VO
 *
 * @author tmerclub
 * @date 2021-05-17 17:17:14
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class UserScoreGetLogVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "积分明细表")
    private Long userScoreGetLogId;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "可用积分")
    private Long usableScore;

    @Schema(description = "业务id")
    private String bizId;

    @Schema(description = "过期时间")
    private Date expireTime;

    @Schema(description = "状态  -1过期 0订单抵现 1正常")
    private Integer status;

}
