package com.tmerclub.cloud.user.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * @author TRACK
 */
@Data
@ToString
@Document("user_balance_log")
public class MongoBalanceUserManagerVO {

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "最新充值时间")
    private Date reConsTime;

    @Schema(description = "充值金额")
    private Long rechargeAmount;

    @Schema(description = "充值次数")
    private Integer rechargeTimes;

    public MongoBalanceUserManagerVO() {
        this.rechargeAmount = 0L;
        this.rechargeTimes = 0;
    }

}
